Keywords
********


Links to manual entries
=======================

**ams:**

* System

**band:**

* AIMCriticalPoints

* ATensor

* BField

* BZPath

* BandStructure

* Basis

* BeckeGrid

* BerryPhase

* CPVector

* Convergence

* DIIS

* DOS

* DensityPlot

* Dependency

* EFG

* ESR

* EffectiveMass

* ElectronHole

* EnforcedSpinPolarization

* Fermi

* FermiSurface

* FormFactors

* Fragment

* FuzzyPotential

* GW

* Grid

* GridBasedAIM

* GrossPopulations

* HubbardU

* Integration

* IntegrationMethod

* KGrpX

* KSpace

* LDOS

* MBPT

* MultiSecantConfig

* NEGF

* NMR

* NOCVOrbitalPlot

* NOCVdRhoPlot

* NewResponse

* NewResponseKSpace

* NewResponseSCF

* NuclearModel

* NumericalQuality

* Occupations

* OldResponse

* OrbitalPlot

* OverlapPopulations

* PEDA

* PEDANOCV

* PeriodicSolvation

* PotentialNoise

* RIHartreeFock

* RadialDefaults

* Relativity

* ResponseInducedDensityPlot

* Restart

* SCF

* Save

* Screening

* SoftConfinement

* Solvation

* SolvationSM12

* StoreHamiltonian2

* SubSymmetry

* Tails

* Unrestricted

* UseSymmetry

* XC

* ZlmFit


Summary of all keywords
=======================


Engine Band
-----------

"AIMCriticalPoints"
   Type:
      Block

   Description:
      Compute the critical points of the density (Atoms In Molecules).
      The algorithm starts from a regular mesh of points, and from
      each of these it walks towards its corresponding critical point.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         : Critical points and bond paths

      Description:
         Compute the critical points of the density (Atoms In
         Molecules). The algorithm starts from a regular mesh of
         points, and from each of these it walks towards its
         corresponding critical point.

   "EqvPointsTol"
      Type:
         Float

      Default value:
         0.27

      Unit:
         Bohr

      Description:
         If the distance between two critical points is smaller than
         this value, the two critical points are considered to be the
         same point.

   "GridPadding"
      Type:
         Float

      Default value:
         0.7

      Unit:
         Bohr

      Description:
         How much extra space is added to the starting guess domain in
         the search for the critical points

   "GridSpacing"
      Type:
         Float

      Default value:
         0.5

      Unit:
         Bohr

      Description:
         The distance between the initial trial points.

"Allow"
   Type:
      String

   Recurring:
      True

   Description:
      Debugging feature to let the program continue even when
      intermediate results seem to be wrong or very inaccurate

"ATensor"
   Type:
      Block

   Description:
      Hyperfine A-tensor.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         :A-tensor

      Description:
         Compute the hyperfine A-tensor.

         Note: Unrestricted calculation is required.

"AtomType"
   Type:
      Block

   Recurring:
      True

   Description:
      Explicit basis set definition for given atom type.

   "AutomaticGaussians"
      Type:
         Non-standard block

      Description:
         Definition of the automatic gaussians

   "BasisFunctions"
      Type:
         Non-standard block

      Description:
         Definition of the extra Slater-type orbitals

   "ContractedGaussians"
      Type:
         Non-standard block

      Description:
         Definition of the contracted gaussians

   "Dirac"
      Type:
         Non-standard block

      Description:
         Specification of the numerical ('Herman-Skillman') free atom,
         which defines the initial guess for the SCF density, and
         which also (optionally) supplies Numerical Atomic Orbitals
         (NOs) as basis functions

   "FitFunctions"
      Type:
         Non-standard block

      Description:
         Slater-type fit functions. Obsolete feature.

"BandStructure"
   Type:
      Block

   Description:
      Options for the calculation of the band structure.

   "Automatic"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Automatic generate path

      Description:
         If True, BAND will automatically generate the standard path
         through the Brillouin zone.

         If False BAND will use the user-defined path in BZPath.

   "DeltaK"
      Type:
         Float

      Default value:
         0.1

      Unit:
         1/Bohr

      GUI name:
         Interpolation delta-K

      Description:
         Step (in reciprocal space) for band structure interpolation.

         Using a smaller number (e.g. 0.03) will result in smoother
         band curves at the cost of an increased computation time.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate band structure

      Description:
         If True, Band will calculate the band structure and save it
         to file for visualization.

   "EnergyAboveFermi"
      Type:
         Float

      Default value:
         0.75

      Unit:
         Hartree

      GUI name:
         Energy above Fermi level

      Description:
         Bands with minimum energy larger then FermiEnergy +
         EnergyAboveFermi are not saved to file. Increasing the value
         of EnergyAboveFermi will result in more unoccupied bands to
         be saved to file for visualization.

   "EnergyBelowFermi"
      Type:
         Float

      Default value:
         10.0

      Unit:
         Hartree

      GUI name:
         Energy below Fermi level

      Description:
         Bands with maximum energy smaller then FermiEnergy -
         EnergyBelowFermi are not saved to file. Increasing the value
         of EnergyBelowFermi will result in more occupied core bands
         to be saved to file for visualization. Note: EnergyBelowFermi
         should be a positive number!

   "FatBands"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Calculate fatbands

      Description:
         If True, BAND will compute the fat bands (only if
         BandStructure%Enabled is True).

         The Fat Bands are the periodic equivalent of the Mulliken
         population analysis.

   "KPathFinderConvention"
      Type:
         Multiple Choice

      Default value:
         Setyawan-Curtarolo

      Options:
         [Setyawan-Curtarolo, Hinuma]

      Description:
         This option determines how the path through the Brillouin
         zone is generated when using the automatic k-point mode.

         Available options:

         * "Setyawan-Curtarolo" (default for 1D and 2D lattices): Uses
           our built-in KPath program to find a path through high-
           symmetry points based on the method by Setyawan and
           Curtarolo
           (https://doi.org/10.1016/j.commatsci.2010.05.010). For 2D
           lattices, the path is derived from the intersection of the
           3D Brillouin zone with a plane. For 1D lattices, the path
           is simply Gamma-Z.

         * "Hinuma": Uses the external SeeKPath utility to generate
           the k-path (https://github.com/giovannipizzi/seekpath and
           https://doi.org/10.1016/j.commatsci.2016.10.015).

   "UseSymmetry"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Use symmetry

      Description:
         If True, only the irreducible wedge of the Wigner-Seitz cell
         is sampled.

         If False, the whole (inversion-unique) Wigner-Seitz cell is
         sampled.

         Note: The Symmetry key does not influence the symmetry of the
         band structure sampling. Only available for Setyawan and
         Curtarolo convention (see "KPathFinderConvention").

"Basis"
   Type:
      Block

   Description:
      Definition of the basis set

   "Core"
      Type:
         Multiple Choice

      Default value:
         Large

      Options:
         [None, Small, Medium, Large]

      GUI name:
         Frozen core

      Description:
         Select the size of the frozen core you want to use.

         Small, Medium, and Large will be interpreted within the basis
         sets available (of the selected quality), and might refer to
         the same core in some cases.

   "Folder"
      Type:
         String

      Description:
         Path to a folder containing the basis set files. This can be
         used for special use-defined basis sets. Cannot be used in
         combination with 'Type'

   "PerAtomType"
      Type:
         Block

      Recurring:
         True

      Description:
         Defines the basis set for all atoms of a particular type.

      "Core"
         Type:
            Multiple Choice

         Options:
            [None, Small, Medium, Large]

         Description:
            Size of the frozen core.

      "File"
         Type:
            String

         Description:
            The path to the basis set file. The path can be absolute
            or relative to $AMSRESOURCES/Band. Specifying the path to
            the basis file explicitly overrides the automatic basis
            file selection via the Type and Core subkeys.

      "Symbol"
         Type:
            String

         Description:
            The symbol for which to define the basis set.

      "Type"
         Type:
            Multiple Choice

         Options:
            [SZ, DZ, DZP, TZP, TZ2P, QZ4P]

         Description:
            The basis sets to be used.

   "PerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Defines the basis set for all atoms in a region. If
         specified, this overwrites the values set with the Basis%Type
         and Basis%PerAtomType keywords for atoms in that region. Note
         that if this keyword is used multiple times, the chosen
         regions may not overlap.

      "Core"
         Type:
            Multiple Choice

         Default value:
            Large

         Options:
            [None, Small, Medium, Large]

         Description:
            Size of the frozen core.

      "File"
         Type:
            String

         Description:
            The path to the basis set file. The path can be absolute
            or relative to $AMSRESOURCES/Band. Specifying the path to
            the basis file explicitly overrides the automatic basis
            file selection via the Type and Core subkeys.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to define the basis
            set. Note that this may also be a region expression, e.g.
            'myregion+myotherregion' (the union of two regions).

      "Type"
         Type:
            Multiple Choice

         Default value:
            DZ

         Options:
            [SZ, DZ, DZP, TZP, TZ2P, QZ4P]

         Description:
            The basis sets to be used.

   "Type"
      Type:
         Multiple Choice

      Default value:
         DZ

      Options:
         [SZ, DZ, DZP, TZP, TZ2P, QZ4P, STO/TZ2P, STO/SZ, STO/DZ,
         STO/DZP, STO/QZ4P, CORR/QZ6P, CORR/TZ3P, GTO/CC-PV5Z,
         GTO/DEF2-QZVPPD, GTO/CC-PV6Z, GTO/CC-PVQZ, GTO/CC-PVTZ, GTO
         /CC-PVDZ, GTO/DEF2-SVP, GTO/DEF2-TZVP, GTO/DEF2-TZVPP,
         GTO/DEF2-QZVP, GTO/AUG-CC-PVDZ, GTO/AUG-CC-PVTZ, GTO/AUG-CC-
         PVQZ, GTO/POB-TZVP]

      GUI name:
         Basis set

      Description:
         Select the basis set to use.

         SZ   : Single Z

         DZ   : Double Z

         DZP  : Double Z, 1 polarization function

         TZP : Triple Z, 1 polarization function

         TZ2P : Triple Z, 2 polarization functions

         QZ4P : Quadruple Z, 4 polarization function

         The basis set chosen will apply to all atoms in your
         structure. If a matching basis is not found a better type
         might be used.

"BeckeGrid"
   Type:
      Block

   Description:
      Options for the numerical integration grid, which is a refined
      version of the fuzzy cells integration scheme developed by
      Becke.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the integration grid. For a description of the
         various qualities and the associated numerical accuracy see
         reference. If 'Auto', the quality defined in the
         'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the grid quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [Basic, Normal, Good, VeryGood, Excellent]

         Description:
            The region's integration grid quality.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

   "RadialGridBoost"
      Type:
         Float

      Default value:
         1.0

      Description:
         The number of radial grid points will be boosted by this
         factor. Some XC functionals require very accurate radial
         integration grids, so BAND will automatically boost the
         radial grid by a factor 3 for the following numerically
         sensitive functionals: LibXC M05, LibXC M05-2X, LibXC M06-2X,
         LibXC M06-HF, LibXC M06-L, LibXC M08-HX, LibXC M08-SO, LibXC
         M11-L, LibXC MS0, LibXC MS1, LibXC MS2, LibXC MS2H, LibXC
         MVS, LibXC MVSH, LibXC N12, LibXC N12-SX, LibXC SOGGA11,
         LibXC SOGGA11-X, LibXC TH1, LibXC TH2, LibXC WB97, LibXC
         WB97X, MetaGGA M06L, MetaHybrid M06-2X, MetaHybrid M06-HF,
         MetaGGA MVS.

"BerryPhase"
   Type:
      Bool

   Default value:
      No

   Description:
      Boolean that determines whether the dipole as determined through
      the Berry phase approach should be calculated.

"BField"
   Type:
      Block

   Description:
      The effect of a magnetic filed can be approximated by the
      following potential: mu * sigma_i * B, where mu is the Bohr
      magneton, sigma_i are the Pauli matrices and B is the magnetic
      field

   "Bx"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Tesla

      Description:
         Value of the x component of the BField

   "By"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Tesla

      Description:
         Value of the y component of the BField

   "Bz"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Tesla

      Description:
         Value of the z component of the BField

   "Dipole"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Bfield is: Atomic dipole

      Description:
         Use an atomic dipole as magnetic field instead of a uniform
         magnetic field.

   "DipoleAtom"
      Type:
         Integer

      Default value:
         1

      GUI name:
         on atom number

      Description:
         Atom on which the magnetic dipole should be centered (if
         using the dipole option)

   "Method"
      Type:
         Multiple Choice

      Default value:
         NR_SDOTB

      Options:
         [NR_SDOTB, NR_LDOTB, NR_SDOTB_LDOTB]

      Description:
         There are two terms coupling to an external magnetic field.

         One is the intrinsic spin of the electron, called S-dot-B,
         the other one is the orbital momentum call L-dot-B.

         The L.B is implemented non-relativistically, using GIAOs in
         the case of a homogeneous magnetic field (not for the dipole
         case).

   "Unit"
      Type:
         Multiple Choice

      Default value:
         tesla

      Options:
         [tesla, a.u.]

      Description:
         Unit of magnetic filed. The a.u. is the SI version of a.u.

"BZPath"
   Type:
      Block

   Description:
      Definition of the user-defined path in the Brillouin zone for
      band structure plotting.

   "path"
      Type:
         Non-standard block

      Recurring:
         True

      Description:
         Definition of the k-points in a path. The vertices of your
         path should be defined in fractional coordinates (wrt the
         reciprocal lattice vectors)

"CC"
   Type:
      Block

   Description:
      Technical aspects of CC methods

   "ConvThreshold"
      Type:
         Float

      Default value:
         1e-09

      Description:
         Minimum threshold of convergence for the CC energy

   "Extrapolation"
      Type:
         Multiple Choice

      Default value:
         CROP

      Options:
         [LinMix, DIIS, CROP]

      Description:
         Specifies the t-amplitude extrapolation algorithm to be used
         in a CC calculation

   "MaxIts"
      Type:
         Integer

      Default value:
         50

      Description:
         The maximum number of iterations to be used in a Coupled
         Cluster calculation.

   "TensBuffer"
      Type:
         Integer

      Default value:
         50

      Description:
         The amount of memory, in GB, available for the tensor
         contraction library.

   "Type"
      Type:
         Multiple Choice

      Default value:
         SD

      Options:
         [None, SD, D, SDT, SDTQ, SD(T)]

      Description:
         The excitation level of the CC calculation. Spin-restricted
         calculations go up to CCSD.

"Comment"
   Type:
      Non-standard block

   Description:
      The content of this block will be copied to the output header as
      a comment to the calculation.

"Convergence"
   Type:
      Block

   Description:
      Options and parameters related to the convergence behavior of
      the SCF procedure.

   "Criterion"
      Type:
         Float

      Description:
         Criterion for termination of the SCF procedure. The default
         depends on the NumericalQuality and on the number of atoms in
         the system.

         Can be used for EngineAutomations

   "CriterionFactor"
      Type:
         Float

      Default value:
         1.0

      Description:
         Multiply Criterion (which depends on system and quality) with
         this factor.

         Can be used for EngineAutomations

   "Degenerate"
      Type:
         String

      Default value:
         default

      Description:
         Smooths (slightly) occupation numbers around the Fermi level,
         so as to insure that nearly-degenerate states get (nearly-)
         identical occupations. Be aware: In case of problematic SCF
         convergence the program will turn this key on automatically,
         unless the key 'Nodegenerate' is set in input. The smoothing
         depends on the argument to this key, which can be considered
         a 'degeneration width'. When the argument reads default, the
         program will use the value 1e-4 a.u. for the energy width.

   "ElectronicTemperature"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Hartree

      Description:
         (KT) Specify this key for a gradient independent electronic
         temperature

   "InitialDensity"
      Type:
         Multiple Choice

      Default value:
         rho

      Options:
         [rho, psi, frompot]

      Description:
         The SCF is started with a guess of the density. There are the
         following choices RHO: the sum of atomic density. PSI:
         construct an initial eigensystem by occupying the atomic
         orbitals. The guessed eigensystem is orthonormalized, and
         from this the density is calculated/

   "LessDegenerate"
      Type:
         Bool

      Default value:
         No

      Description:
         If smoothing of occupations over nearly degenerate orbitals
         is applied (see Degenerate key), then, if this key is set in
         the input file, the program will limit the smoothing energy
         range to 1e-4 a.u. as soon as the SCF has converged
         'halfway', i.e. when the SCF error has decreased to the
         square root of its convergence criterion.

   "ModestCriterion"
      Type:
         Float

      Default value:
         -1.0

      Description:
         If this is specified band will consider the SCF converged if
         the error is below this criterion (after using the maximum
         number of iterations).

   "NoDegenerate"
      Type:
         Bool

      Default value:
         No

      Description:
         This key prevents any internal automatic setting of the key
         DEGENERATE.

   "NumBoltz"
      Type:
         Integer

      Default value:
         10

      Description:
         The electronic temperature is done with a Riemann Stieltjes
         numerical integration, between zero and one occupation. This
         defines the number of points to be used.

   "SpinFlip"
      Type:
         Integer List

      GUI name:
         Flip spin for atoms

      Description:
         List here the atoms for which you want the initial spin
         polarization to be flipped. This way you can distinguish
         between ferromagnetic and anti ferromagnetic states.
         Currently, it is not allowed to give symmetry equivalent
         atoms a different spin orientation. To achieve that you have
         to break the symmetry.

   "SpinFlipEnabled"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If set to False, the keys SpinFlip and SpinFlipRegion are
         ignored. Only useful/convenient when trying to compare in a
         script the effect of spin flip.

   "SpinFlipRegion"
      Type:
         String

      Recurring:
         True

      GUI name:
         Flip spin for region

      Description:
         Specify here the region for which you want the initial spin
         polarization to be flipped. This way you can distinguish
         between ferromagnetic and anti ferromagnetic states.
         Currently, it is not allowed to give symmetry equivalent
         atoms a different spin orientation. To achieve that you have
         to break the symmetry.

   "StartWithMaxSpin"
      Type:
         Bool

      Default value:
         Yes

      Description:
         To break the initial perfect symmetry of up and down
         densities there are two strategies. One is to occupy the
         numerical orbitals in a maximum spin configuration. The
         alternative is to add a constant to the potential. See also
         Vsplit key.

   "StartWithMaxSpinForSO"
      Type:
         Bool

      Default value:
         No

      Description:
         Same as the StartWithMaxSpin option. In case of spin-orbit
         band always used to split the potential. Now will use maxspin
         in case of SpinFlip. With this option it will always do that.

"CPVector"
   Type:
      Integer

   Default value:
      128

   GUI name:
      Vectorlength (blocksize)

   Description:
      The code is vectorized and this key can be used to set the
      vector length

"DensityPlot"
   Type:
      Non-standard block

   Description:
      Plots of the density. Goes together with the Restart%DensityPlot
      and Grid keys.

"Dependency"
   Type:
      Block

   Description:
      Criteria for linear dependency of the basis and fit set

   "AllowBasisDependency"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Project out the dependent part of the basis set (associated
         with small eigenvalues of the overlap matrix).

   "Basis"
      Type:
         Float

      Default value:
         1e-08

      GUI name:
         Dependency criterion

      Description:
         Criteria for linear dependency of the basis: smallest
         eigenvalue of the overlap matrix of normalized Bloch
         functions.

   "Core"
      Type:
         Float

      Default value:
         0.8

      Description:
         The program verifies that the frozen core approximation is
         reasonable, by checking the smallest eigen value of the
         overlap matrix of the core (Bloch) orbitals (which should
         ideally be one) is bigger than this criterion.

   "CoreValence"
      Type:
         Float

      Default value:
         1e-05

      Description:
         Criterion for dependency of the core functions on the valence
         basis. The maximum overlap between any two normalized
         functions in the two respective function spaces should not
         exceed 1.0-corevalence

   "Fit"
      Type:
         Float

      Default value:
         5e-06

      Description:
         Criterion for dependency of the total set of fit functions.
         The value monitored is the smallest eigenvalue of the overlap
         matrix of normalized Bloch sums of symmetrized fit functions.

"DIIS"
   Type:
      Block

   Description:
      Parameters for the DIIS procedure to obtain the SCF solution

   "Adaptable"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Change automatically the value of dimix during the SCF.

   "CHuge"
      Type:
         Float

      Default value:
         20.0

      GUI name:
         No DIIS (but damping) when coefs >

      Description:
         When the largest coefficient in the DIIS expansion exceeds
         this value, damping is applied

   "CLarge"
      Type:
         Float

      Default value:
         20.0

      GUI name:
         Reduce DIIS space when coefs >

      Description:
         When the largest DIIS coefficient exceeds this value, the
         oldest DIIS vector is removed and the procedure re-applied

   "Condition"
      Type:
         Float

      Default value:
         1000000.0

      Description:
         The condition number of the DIIS matrix, the largest
         eigenvalue divided by the smallest, must not exceed this
         value. If this value is exceeded, this vector will be
         removed.

   "DiMix"
      Type:
         Float

      Default value:
         0.2

      GUI name:
         Bias DIIS towards latest vector with

      Description:
         Mixing parameter for the DIIS procedure

   "DiMixMax"
      Type:
         Float

      Default value:
         -1.0

      Description:
         For adaptive diis: A negative value means automatic, see
         DiMixatnvctrx. If positive it is an absolute upper bound for
         (adaptive) dimix

   "DiMixMin"
      Type:
         Float

      Default value:
         0.01

      Description:
         An absolute lower bound for adaptive dimix.

   "NCycleDamp"
      Type:
         Integer

      Default value:
         1

      GUI name:
         Do not start DIIS before cycle

      Description:
         Number of initial iterations where damping is applied, before
         any DIIS is considered

   "NVctrx"
      Type:
         Integer

      Default value:
         20

      GUI name:
         Size of DIIS space

      Description:
         Maximum number of DIIS expansion vectors

   "Variant"
      Type:
         Multiple Choice

      Default value:
         DIIS

      Options:
         [DIIS, LISTi, LISTb, LISTd]

      Description:
         Which variant to use. In case of problematic SCF convergence,
         first try MultiSecant, and if that does not work the LISTi is
         the advised method. Note: LIST is computationally more
         expensive per SCF iteration than DIIS.

"DOS"
   Type:
      Block

   Description:
      Density-Of-States (DOS) options

   "CalcDOS"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Calculate DOS

      Description:
         Whether or not to calculate the density of states.

   "CalcPDOS"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate PDOS

      Description:
         Whether or not to calculate the partial DOS (projections on
         basis functions). This can be significantly more expensive
         than calculating the total DOS

   "CalcPopulationAnalysis"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Calculate Mulliken charges

      Description:
         Whether or not to calculate the population analysis.
         Population analysis can become very expensive when there are
         many symmetry operators, such as in a super cell.

   "CompensateDeltaE"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Only relevant when IntegrateDeltaE=yes. If set to true then
         after integrating each interval over DeltaE the result is
         divided by DeltaE, so that the unit is DOS.

   "DeltaE"
      Type:
         Float

      Default value:
         0.005

      Unit:
         Hartree

      GUI name:
         Delta E

      Description:
         Energy step for the DOS grid. Using a smaller value (e.g.
         half the default value) will result in a finer sampling of
         the DOS.

   "Energies"
      Type:
         Integer

      Description:
         Number of equidistant energy-values for the DOS grid. This
         keyword is superseded by the 'DeltaE' keyword.

   "File"
      Type:
         String

      Description:
         Write the DOS (plain text format) to the specified file
         instead of writing it to the standard output.

   "IntegrateDeltaE"
      Type:
         Bool

      Default value:
         Yes

      Description:
         This subkey handles which algorithm is used to calculate the
         data-points in the plotted DOS. If true, the data-points
         represent an integral over the states in an energy interval.
         Here, the energy interval depends on the number of Energies
         and the user-defined upper and lower energy for the
         calculation of the DOS. The result has as unit [number of
         states / (energy interval * unit cell)]. If false, the data-
         points do represent the number of states for a specific
         energy and the resulting plot is equal to the DOS per unit
         cell (unit: [1/energy]). Since the resulting plot can be a
         wild function and one might miss features of the DOS due to
         the step length between the energies, the default is set to
         the integration algorithm.

   "Max"
      Type:
         Float

      Unit:
         Hartree

      Description:
         User defined upper bound energy (with respect to the Fermi
         energy)

   "Min"
      Type:
         Float

      Unit:
         Hartree

      Description:
         User defined lower bound energy (with respect to the Fermi
         energy)

   "StoreCoopPerBasPair"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate COOP

      Description:
         Calculate the COOP (crystal orbital overlap population).

"DosBas"
   Type:
      Non-standard block

   Description:
      Used to specify the fragment basis for the DOS.

"DumpBasisOnly"
   Type:
      Bool

   Default value:
      No

   Description:
      Dump basis and fit set files use for each atom.

"EffectiveMass"
   Type:
      Block

   Description:
      In a semi-conductor, the mobility of electrons and holes is
      related to the curvature of the bands at the top of the valence
      band and the bottom of the conduction band.

      With the effective mass option, this curvature is obtained by
      numerical differentiation.

      The estimation is done with the specified step size, and twice
      the specified step size, and both results are printed to give a
      hint on the accuracy. The easiest way to use this key is to
      enabled it without specifying any extra options.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Effective mass

      Description:
         Compute the EffectiveMass.

   "KPointCoord"
      Type:
         Float List

      Unit:
         1/Bohr

      Recurring:
         True

      GUI name:
         At K-point

      Description:
         Coordinate of the k-points for which you would like to
         compute the effective mass.

   "NumAbove"
      Type:
         Integer

      Default value:
         1

      GUI name:
         Include N bands above

      Description:
         Number of bands to take into account above the Fermi level.

   "NumBelow"
      Type:
         Integer

      Default value:
         1

      GUI name:
         Include N bands below

      Description:
         Number of bands to take into account below the Fermi level.

   "StepSize"
      Type:
         Float

      Default value:
         0.001

      Description:
         Size of the step taken in reciprocal space to perform the
         numerical differentiation

   "UseBandStructureInfoFromPath"
      Type:
         Bool

      Default value:
         Yes

      Description:
         The (automatic) location of the HOMO and LUMO can be
         determined via band interpolation, or from the path as used
         by the BandStructure feature. The latter works better when
         they are located on the path. See also comments in the
         BandStructure block. To reproduce results from before ams2025
         set to no.

"EFG"
   Type:
      Block

   Description:
      The electronic charge density causes an electric field, and the
      gradient of this field couples with the nuclear quadrupole
      moment, that some (non-spherical) nuclei have and can be
      measured by several spectroscopic techniques. The EFG tensor is
      the second derivative of the Coulomb potential at the nuclei.
      For each atom it is a 3x3 symmetric and traceless matrix.
      Diagonalization of this matrix gives three eigenvalues, which
      are usually ordered by their decreasing absolute size and
      denoted as V_{xx}, V_{yy}, V_{zz}. The result is summarized by
      the largest eigenvalue and the asymmetry parameter.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         EFG (electric field gradient): Calculate

      Description:
         Compute the EFG tensor (for nuclear quadrupole interaction).

"EigThreshold"
   Type:
      Float

   Default value:
      0.01

   Description:
      Threshold for printing the eigenvectors coefficients (Print
      Eigens)

"ElectronHole"
   Type:
      Block

   Description:
      Allows one to specify an occupied band which shall be
      depopulated, where the electrons are then moved to the Fermi
      level. For a spin-restricted calculation 2 electrons are shifted
      and for a spin-unrestricted calculation only one electron is
      shifted.

   "BandIndex"
      Type:
         Integer

      Description:
         Which occupied band shall be depopulated.

   "SpinIndex"
      Type:
         Integer

      Description:
         Defines the spin of the shifted electron (1 or 2).

"EmbeddingPotential"
   Type:
      Block

   Description:
      An external potential can be read in and will be added to the
      effective Kohn-Sham potential. It has to be on the becke grid

   "Filename"
      Type:
         String

      Default value:
      Description:
         Name of the file containing the embedding potential.

   "PotentialName"
      Type:
         String

      Default value:
      Description:
         Name of variable containing the potential.

"EnforcedSpinPolarization"
   Type:
      Float

   GUI name:
      Spin polarization

   Description:
      Enforce a specific spin-polarization instead of occupying
      according to the aufbau principle. The spin-polarization is the
      difference between the number of alpha and beta electron.

      Thus, a value of 1 means that there is one more alpha electron
      than beta electrons.

      The number may be anything, including zero, which may be of
      interest when searching for a spin-flipped pair, that may
      otherwise end up in the (more stable) parallel solution.

"ESR"
   Type:
      Block

   Description:
      Zeeman g-tensor. The Zeeman g-tensor is implemented using two-
      component approach of Van Lenthe and co-workers in which the
      g-tensor is computed from a pair of spinors related to each
      other by time-reversal symmetry. Note: the following options are
      necessary for ESR: 'Relativistic zora spin' and 'Kspace 1'

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         ESR: g-tensor

      Description:
         Compute Zeeman g-tensor.

         The Zeeman g-tensor is implemented using two-component
         approach of Van Lenthe and co-workers in which the g-tensor
         is computed from a pair of spinors related to each other by
         time-reversal symmetry.

         Note: the following options are necessary for ESR:
         'Relativistic zora spin' and 'Kspace 1'

"Excitations"
   Type:
      Block

   Description:
      Excitation energies: UV/Vis

"Fermi"
   Type:
      Block

   Description:
      Technical parameter used in determining the Fermi energy, which
      is carried out at each cycle of the SCF procedure.

   "Delta"
      Type:
         Float

      Default value:
         0.0001

      Description:
         Convergence criterion: upper and lower bounds for the Fermi
         energy and the corresponding integrated charge volumes must
         be equal within delta.

   "Eps"
      Type:
         Float

      Default value:
         1e-10

      Description:
         After convergence of the Fermi energy search procedure, a
         final estimate is defined by interpolation and the
         corresponding integrated charge volume is tested. It should
         be exact, to machine precision. Tested is that it deviates
         not more than eps.

   "MaxTry"
      Type:
         Integer

      Default value:
         15

      Description:
         Maximum number of attempts to locate the Fermi energy. The
         procedure is iterative in nature, narrowing the energy band
         in which the Fermi energy must lie, between an upper and a
         lower bound. If the procedure has not converged sufficiently
         within MaxTry iterations, the program takes a reasonable
         value and constructs the charge density by interpolation
         between the functions corresponding to the last used upper
         and lower bounds for the Fermi energy.

   "RefinePostSCFFactor"
      Type:
         Integer

      Description:
         Use a finer k-grid after the scf to calculate a refined fermi
         level. Makes only sense for metals. Works like DoubleCount.
         Use 1,2,3

"FermiSurface"
   Type:
      Block

   Description:
      Calculation of the Fermi surface for metals

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate Fermi surface

      Description:
         Calculate the Fermi surface if the system has no band gap
         (i.e. is a metal). The result can be visualized with
         amsbands.

   "KIntegForSymmetricKGrid"
      Type:
         Integer

      Default value:
         -1

      Description:
         If the (default) regular k-grid is used, a symmetric one is
         created to determine the Fermi surface. If this key is not
         specified an automatic value of kInteg is used. Odd values
         trigger quadratic interpolation.

   "NMesh"
      Type:
         Integer

      Default value:
         7

      Description:
         Improves the matching of the interpolated quadratic surface.
         For better results it makes more sense to increases
         KIntegForSymmetricKGrid.

"FormFactors"
   Type:
      Integer

   Default value:
      2

   Description:
      Number of stars of K-vectors for which the form factors are
      computed

"Fragment"
   Type:
      Block

   Recurring:
      True

   Description:
      Defines a fragment. You can define several fragments for a
      calculation.

   "AtomMapping"
      Type:
         Non-standard block

      Description:
         Format 'indexFragAt indexCurrentAt'. One has to associate the
         atoms of the fragment to the atoms of the current
         calculation. So, for each atom of the fragment the
         indexFragAt has to be associated uniquely to the
         indexCurrentAt for the current calculation.

   "Filename"
      Type:
         String

      Description:
         Filename of the fragment. Absolute path or path relative to
         the executing directory.

   "Labels"
      Type:
         Non-standard block

      Description:
         This gives the possibility to introduce labels for the
         fragment orbitals. See examples.

   "Region"
      Type:
         String

      Description:
         Region name.

"FuzzyPotential"
   Type:
      Non-standard block

   Description:
      Atomic (fuzzy cell) based, external, electric potential. See
      example.

"FuzzyUnitCellGrid"
   Type:
      Block

   Description:
      Undocumented.

   "AtomRadiusLSG"
      Type:
         Float

      Default value:
         0.0

      Description:
         Undocumented.

   "CellPartitionDelta"
      Type:
         Float

      Default value:
         4.0

      Description:
         Undocumented.

   "CellPartitionInterpolationCubic"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "CellPartitionInterpolationMesh"
      Type:
         Integer

      Default value:
         100

      Description:
         Undocumented.

   "CellPartitionVersion"
      Type:
         Integer

      Default value:
         2

      Description:
         Undocumented.

   "CentralizeNaturalLSG"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "InterpolateCellPartition"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "NumIntExtraL"
      Type:
         Integer

      Default value:
         0

      Description:
         Undocumented.

   "NumIntExtraRad"
      Type:
         Integer

      Default value:
         0

      Description:
         Undocumented.

   "PartitionFunctionTol"
      Type:
         Float

      Default value:
         1e-08

      Description:
         Undocumented.

   "PruneLatticeSummedGrid"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "ReduceAccuracyLSG"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "SimpleLatticeSummedGrid"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

"Grid"
   Type:
      Block

   Description:
      Options for the regular grid used for plotting (e.g. density
      plot). Used ICW the restart option.

   "ExtendX"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Bohr

      Description:
         Extend the default regular grid along the x-direction by the
         specified amount: [x_min, x_max] => [x_min - ExtendX/2, x_max
         + ExtendX/2].

   "ExtendY"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Bohr

      Description:
         Extend the default regular grid along the y-direction by the
         specified amount: [y_min, y_max] => [y_min - ExtendY/2, y_max
         + ExtendY/2].

   "ExtendZ"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Bohr

      Description:
         Extend the default regular grid along the z-direction by the
         specified amount: [z_min, z_max] => [z_min - ExtendZ/2, z_max
         + ExtendZ/2].

   "FileName"
      Type:
         String

      Default value:
      Description:
         Read in the grid from a file. The file format of the grid is:
         three numbers per line (defining the x, y and z coordinates
         of the points).

   "Type"
      Type:
         Multiple Choice

      Default value:
         coarse

      Options:
         [coarse, medium, fine]

      Description:
         The default regular grids.

   "UserDefined"
      Type:
         Non-standard block

      Description:
         One can define the regular grid specification in this block.
         See example. Default unit is Bohr

"GridBasedAIM"
   Type:
      Block

   Description:
      Invoke the ultra fast grid based Bader analysis.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Bader (AIM): Atomic properties

      Description:
         Invoke the ultra fast grid based Bader analysis.

   "Iterations"
      Type:
         Integer

      Default value:
         40

      Description:
         The maximum number of steps that may be taken to find the
         nuclear attractor for a grid point.

   "SmallDensity"
      Type:
         Float

      Default value:
         1e-06

      Description:
         Value below which the density is ignored. This should not be
         chosen too small because it may lead to unassignable grid
         points.

   "UseStartDensity"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether the analysis is performed on the startup density
         (True) or on the final density (False).

"GrossPopulations"
   Type:
      Non-standard block

   Description:
      Partial DOS (pDOS) are generated for the gross populations
      listed under this key. See example.

"GW"
   Type:
      Block

   Description:
      Perform a GW calculation. G0W0 is the default for
      GW%SelfConsistency.

   "AdaptiveMixing"
      Type:
         Float List

      Description:
         Requests to use adaptive mixing instead of DIIS and sets the
         staring mixing parameter for mixing of Green's function in
         case of self-consistency.

         Adapative mixing is recommended in case a qsGW calculation
         does not converge with DIIS.

         It is ignored in non-selfconsistent calculation and
         overwritten by DIIS when DIIS is also present.

   "AnalyticalIntegration"
      Type:
         Block

      Description:
         Use analytical integration to calculate the self-energy. Very
         slow, unless the system is very small but useful to check the
         accuracy of the frequency integration

      "Enabled"
         Type:
            Bool

         Default value:
            No

         GUI name:
            analytical integration

         Description:
            Enable the calculation of the GW quasi-particle energies
            via analytical integration.

      "SpectralFunctionResolution"
         Type:
            Integer

         Default value:
            800

         Description:
            Number of points at which spectral function is evaluated.

      "TDA"
         Type:
            Bool

         Default value:
            No

         Description:
            Solve the linear response equations in the Tamm-Dancoff
            approximation.

      "eta"
         Type:
            Float

         Default value:
            0.001

         Description:
            Artificial (positive) broadening parameter for evaluation
            of self-energy in analytical integration.

            Ideally should be as small as possible but this might lead
            to convergence issues in partially self-consistent
            approaches.

            In this case, a value of up to 0.1 is possible.

   "Converge"
      Type:
         Block

      Description:
         Sets convergence criteria for the GW calculation in self-
         consistent case

      "Density"
         Type:
            Float List

         Default value:
            [1e-08, 1e-05]

         Description:
            First Criterion for self-consistency procedure to
            terminate.

            Criterion is the trace of the density matrix. Ignored in
            non-selfconsistent Calculation and in eigenvalue self-
            consistent GW

            It is possible to run a qsGW calculation with an inner SCF
            loop which updates the static part of the elf-energy only.
            This can be useful to accelerate the convergence in case
            linear mixing is used. It is not recommended to use linear
            mixing, so it is also not recommended to use that inner
            loop as well. The second number in this list specifies the
            convergence criterion for the inner SCF loop.

      "HOMO"
         Type:
            Float

         Default value:
            0.003

         Unit:
            eV

         GUI name:
            HOMO energy convergence

         Description:
            Criterion for self-consistency procedure to terminate.

            The self-consistent GW calculation terminates, when the
            difference between the HOMO QP energies between 2
            consecutive iterations is below this number.

            The LUMO energy converged faster than the HOMO energy so
            when the HOMO energy is converged according to this
            criterion, the LUMO energy will be converged as well.

            In non-selfconsistent Calculation, this criterion is
            ignored.

   "DIIS"
      Type:
         Integer

      Default value:
         10

      Description:
         Requests to use DIIS. This is the Default. Number of
         expansion coefficients can be requested as well. Ignored in
         non-selfconsistent calculation

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Calculate GW quasi-particle energies

      Description:
         Enable the calculation of the GW quasi-particle energies.

   "LinearMixing"
      Type:
         Float List

      Description:
         Requests to use linear mixing instead of DIIS and sets the
         mixing parameter for linear mixing of Green's function in
         case of self-consistency.

         It is ignored in non-selfconsistent calculation and
         overwritten by DIIS when DIIS is also present.

   "LinearizeQPequations"
      Type:
         Bool

      Default value:
         No

      Description:
         Instead of solving the non-linear QP equations in a G0W0 (or
         evGW calculation) by bisection exacly, linearize them by
         first-order Taylor expansion.

         This is not recommended since it does not save computational
         time when used together with analytical continuation (as
         implemented in AMS). It might however be useful for
         benchmarking or for validating results.

         If the results os the linearization differ by a lot (for
         instance, more than 0.1 eV in frontier QP energies) from the
         non-linearized results, this might indicate that the GW
         calculation is not reliable.

   "Polarizability"
      Type:
         Multiple Choice

      Default value:
         RPA

      Options:
         [RPA, BSE, G4W1, G4V1, TDHF]

      Description:
         Sets the expression for the Polarizability used in the GW
         calculation.

         RPA is the Default and amounts to a standard GW calculation.

         BSE denotes screening in the Bethe-Salpeter-equation
         formalism.

   "PrintAllSolutions"
      Type:
         Bool

      Default value:
         No

      Description:
         Print out all solutions for all requested states. Detects
         multiple solutions of the QP equations.

   "PrintSpectralFunction"
      Type:
         Bool

      Default value:
         No

      Description:
         Plot the self-energy as a function of frequency.
         Automatically done in case of analytical continuation.
         However, this is expensive in the analytical integration
         formalism.

   "QPHamiltonian"
      Type:
         Multiple Choice

      Default value:
         KSF2

      Options:
         [KSF1, KSF2, SRG, LQSGW]

      Description:
         The quasi-particle Hamiltonian can be constructed in
         different ways.

         KSF1 refers to the original construction by Kotani, Van
         Schilfgaarde anf Faleev (KSF) which is also implemented in
         TURBOMOLE.

         KSF2 refers to an alternative construction by KSF.

         KSF1 is not recommended since it is numerically less stable
         than KSF2 in case analytical continuation is used (the
         default).

         In case the analytical integration algorithm is used, only
         KSF1 is implemented. Therefore, make sure that KSF1 is
         specified. The results are typically very similar.

         The QP energies at which the matrix elements are evaluated
         can be tweaked further, see the two subsequent keys: However,
         KSF2 is recommended since it typically leads to QP energies
         with the best agreement with experiment.

         Ignored when not a quasi-particle self-consistent GW
         calculation is performed

   "ScissorShift"
      Type:
         Bool

      Default value:
         No

      Description:
         Only calculate the HOMO and LUMO QP energies and shift the
         remaining QP energies by the same amount.

         This is a rather crude approximation and not recommended.

         It might again be useful for benchmarking purposes.

   "SelfConsistency"
      Type:
         Multiple Choice

      Default value:
         G0W0

      Options:
         [G0W0, EVGW0, EVGW, QSGW0, QSGW]

      Description:
         Sets the level of self-consistency in a GW calculation.

         G0W0 calculates a one-shot, perturbative correction to the KS
         eigenvalues.

         In evGW and evGW0, the quasi-particle energies are updated
         until self-consistency is reached.

         evGW0 requests that the Green's function is evaluated self-
         consistently but not the screened interaction.

         In qsGW, the density is updated as well, however, the self-
         energy is mapped to a static effective potential and the
         Dyson equation is solved by diagonalization instead of
         inversion. The results of a qsGW are independent of the
         choice of the underlying exchange-correlation functional and
         are usually the most accurate ones.

         The same is done in qsGW0, but the screened interaction is
         not updated.

   "SelfEnergy"
      Type:
         Multiple Choice

      Default value:
         GW

      Options:
         [HF, GW, G3W2, SOSEX, GWGamma, G3W2dynamic, GWGammaInf,
         GWGammaInfDyn]

      Description:
         Controls the form of the self-energy.

         GW is the default and corresponds to the standard GW
         calculation.

         G3W2 is a GW calculation plus a perturbative second-order
         statically screened exchange correction (second order
         expansion in the self-energy). Note, that there the self-
         energy is always static.

   "nIterations"
      Type:
         Integer List

      Default value:
         [10]

      GUI name:
         Number of iterations

      Description:
         The maximum number of iterations within the (partially or
         fully) self-consistent GW calculation has to converge.

         Ignored when Formalism is set to G0W0

   "nLowest"
      Type:
         Integer

      Default value:
         1

      GUI name:
         N Lowest

      Description:
         Number of lowest occupied QP levels to be evaluated,
         overwrites nStates'

   "nStates"
      Type:
         Integer

      Default value:
         5

      GUI name:
         N states

      Description:
         Number of Quasiparticle States to be printed to output.

         The default is 5 states which in this case means that min(5,
         Number of particle states) occupied and min(5, Number of hole
         states) hole states are printed. The whole list of states can
         be printed by setting this parameter to -1'

"HubbardU"
   Type:
      Block

   Description:
      Options for Hubbard-corrected DFT calculations.

   "Atom"
      Type:
         Block

      Recurring:
         True

      Description:
         Specify Hubbard parameters (U,l) for a certain element

      "Element"
         Type:
            String

         Description:
            Name of the element, such as Cu or Zn

      "LValue"
         Type:
            Multiple Choice

         Default value:
            s

         Options:
            [s, p, d, f]

         Description:
            L value of the shell to apply the Hubbard model to

      "UValue"
         Type:
            Float

         Default value:
            0.0

         Unit:
            Hartree

         Description:
            Hubbard U value.

   "PrintOccupations"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not to print the occupations during the SCF.

   "Region"
      Type:
         Block

      Recurring:
         True

      Description:
         Specify Hubbard parameters (U,l) for all atoms in a certain
         region

      "LValue"
         Type:
            Multiple Choice

         Default value:
            s

         Options:
            [s, p, d, f]

         Description:
            L value of the shell to apply the Hubbard model to

      "Name"
         Type:
            String

         Description:
            Name of the region

      "UValue"
         Type:
            Float

         Default value:
            0.0

         Unit:
            Hartree

         Description:
            Hubbard U value.

"Integration"
   Type:
      Block

   Description:
      Options for the Voronoi numerical integration scheme.
      Deprecated. Use BeckeGrid instead.

   "AccInt"
      Type:
         Float

      Default value:
         3.5

      Description:
         General parameter controlling the accuracy of the Voronoi
         integration grid. A value of 3 would be basic quality and a
         value of 7 would be good quality.

"IntegrationMethod"
   Type:
      Multiple Choice

   Default value:
      Becke

   Options:
      [Becke, Voronoi]

   Description:
      Choose the real-space numerical integration method. Note: the
      Voronoi integration scheme is deprecated.

"KGrpX"
   Type:
      Integer

   Default value:
      5

   GUI name:
      Number of K-points at once

   Description:
      Absolute upper bound on the number of k-points processed
      together. This only affects the computational performance.

"KSpace"
   Type:
      Block

   Description:
      Options for the k-space integration (i.e. the grid used to
      sample the Brillouin zone)

   "Analytical"
      Type:
         Bool

      Default value:
         Yes

      Description:
         For analytical integration the BZ is split into simplices,
         whereover the bands are interpolated, ater which the
         integrals can be performed analytically.

         Alternatively, the set of eigenvalues in the discrete set of
         k-points are just handled as distinct molecular orbitals.

         Using analytical=no can improve SCF convergence in
         combination with smearing/temperature.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, GammaOnly, Basic, Normal, Good, VeryGood, Excellent]

      GUI name:
         K-space

      Description:
         Select the quality of the K-space grid used to sample the
         Brillouin Zone. If 'Auto', the quality defined in the
         'NumericalQuality' will be used. If 'GammaOnly', only one
         point (the gamma point) will be used.

         The actual number of K points generated depends on this
         option and on the size of the unit cell. The larger the real
         space cell, the fewer K points will be generated.

         The CPU-time and accuracy strongly depend on this option.

   "Regular"
      Type:
         Block

      Description:
         Options for the regular k-space integration grid.

      "NumberOfPoints"
         Type:
            Integer List

         Description:
            Use a regular grid with the specified number of k-points
            along each reciprocal lattice vector.

            For 1D periodic systems you should specify only one
            number, for 2D systems two numbers, and for 3D systems
            three numbers.

   "Symmetric"
      Type:
         Block

      Description:
         Options for the symmetric k-space integration grid.

      "KInteg"
         Type:
            Integer

         GUI name:
            Accuracy

         Description:
            Specify the accuracy for the Symmetric method.

            1: absolutely minimal (only the G-point is used)

            2: linear tetrahedron method, coarsest spacing

            3: quadratic tetrahedron method, coarsest spacing

            4,6,... (even): linear tetrahedron method

            5,7.... (odd): quadratic method

            The tetrahedron method is usually by far inferior.

   "Type"
      Type:
         Multiple Choice

      Default value:
         Regular

      Options:
         [Regular, Symmetric]

      GUI name:
         K-space grid type

      Description:
         The type of k-space integration grid used to sample the
         Brillouin zone (BZ) used.

         'Regular': simple regular grid.

         'Symmetric': symmetric grid for the irreducible wedge of the
         first BZ (useful when high-symmetry points in the BZ are
         needed to capture the correct physics of the system, graphene
         being a notable example).

"LDOS"
   Type:
      Block

   Description:
      Local Density-Of-States information. This can be used to
      generate STM images in the Tersoff-Hamann approximation (see
      https://doi.org/10.1103/PhysRevB.31.805)

   "DeltaNeg"
      Type:
         Float

      Default value:
         0.0001

      Unit:
         Hartree

      Description:
         Lower bound energy (Shift-DeltaNeg)

   "DeltaPos"
      Type:
         Float

      Default value:
         0.0001

      Unit:
         Hartree

      Description:
         Upper bound energy (Shift+DeltaPos)

   "Shift"
      Type:
         Float

      Default value:
         0.0

      Unit:
         Hartree

      Description:
         The energy bias with respect to the Fermi level.

"MBPT"
   Type:
      Block

   Description:
      Technical aspects of the MP2 algorithm.

   "Dependency"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, to improve numerical stability, almost linearly-
         dependent combination of basis functions are removed from the
         Green's function that are used in the MBPT equations.
         Disabling this key is strongly discouraged. Its value can
         however be changed. The key to adjust this value is
         RiHartreeFock%DependencyThreshold

   "ExcludeCore"
      Type:
         Bool

      Description:
         If active, excludes core states from the calculation of the
         optimal imaginary time and frequency grids.

         The core states are still included in all parts of the
         calculations.

         In case a frozen care calculation is performed, this key is
         ignored.

         For MP2 and double hybrid calculation, it defaults to false.
         For RPA and GW calculations, it defaults to true.

   "FitSetQuality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood]

      Description:
         Specifies the fit set to be used in the MBPT calculation.

         'Normal' quality is generally sufficient for basis sets up to
         and including TZ2P.

         For larger basis sets (or for benchmarking purposes) a
         'VeryGood' fit set is recommended. Note that the
         FitSetQuality heavily influences the computational cost of
         the calculation.

         If not specified or 'Auto', the RIHartreeFock%FitSetQuality
         is used.

   "Formalism"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, RI, LT, All]

      Description:
         Specifies the formalism for the calculation of the MP2
         correlation energy.

         'LT' means Laplace Transformed MP2 (also referred to as AO-
         PARI-MP2),

         'RI' means that a conventional RI-MP2 is carried out.

         If 'Auto', LT will be used in case of DOD double hybrids and
         SOS MP2, and RI will be used in all other cases.

         'All' means that both RI and LT formalisms are used in the
         calculation.

         For a RPA or GW calculation, the formalism is always LT,
         irrespective of the formalism specified with this key.

   "FrequencyGridType"
      Type:
         Multiple Choice

      Default value:
         LeastSquare

      Options:
         [LeastSquare, GaussLegendre]

      Description:
         Use Gauss-legendre grid for imaginary frequency integration
         in RPA and GW calculations instead of the usually used Least-
         Square optimized ones. Has the advantage that it can be
         systematically converged and an arbitrary number of grid
         points can be used. Typically more grid points will be needed
         to get the same level of accuracy. However, the convergence
         of the results with the size of the grid can be more
         systematic. These grids can only be used when Formalism is
         set to RI.

   "IntegrationQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood]

      Description:
         Specifies the integration quality to be used in the MBPT
         calculation. If not specified, the
         RIHartreeFock%IntegrationQuality is used.

   "SigmaFunctionalParametrization"
      Type:
         Multiple Choice

      Default value:
         S1re

      Options:
         [W1, W2, S1, S2, S1re]

      Description:
         Only relevant if a sigma-functional calculation is performed.
         Possible choices for the parametrization of the sigma-
         functional. Not all options are supported for all
         functionals.

   "ThresholdQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Controls the distances between atomic centers for which the
         product of two basis functions is not fitted any more.
         Especially for spatially extended, large systems, 'VERYBASIC'
         and 'BASIC' can lead to large computational savings, but the
         fit is also more approximate. If not specified, the
         RIHartreeFock%ThresholdQuality is used.

   "UseScaledZORA"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, use the scaled ZORA orbital energies instead of the
         ZORA orbital energies in the MBPT equations.

   "frozencore"
      Type:
         Bool

      Default value:
         No

      Description:
         Freeze core states in correlation part of MBPT calculation

   "nCore"
      Type:
         Integer

      Default value:
         0

      GUI name:
         Number of core levels

      Description:
         Number of core states which will be excluded from the
         correlated calculation.

         Will be ignored if frozencore is false.

         In case nothing is specified, the number of core levels will
         be determined automatically.

         Needs to be smaller than the number of occupied states.

   "nFreqIntegration"
      Type:
         Integer

      Default value:
         32

      GUI name:
         N freq points for G3W2 integration

      Description:
         Number of imaginary frequency points for G3W2 integration

   "nFrequency"
      Type:
         Integer

      Default value:
         12

      GUI name:
         N freq points

      Description:
         Number of imaginary frequency points. This key is only
         relevant for RPA and GW and will be ignored if used in an AO-
         PARI-MP2 calculation. 12 Points is the default for a RPA
         calculation. It is technically possible to use a different
         number of imaginary frequency points than for imaginary time.
         The maximum number of points which can be requested for
         imaginary frequency integration is 42. Important note: The
         computation time and memory requirements roughly scale
         linearly with the number of imaginary frequency points.
         However, memory can be an issue for RPA and GW when the
         number of imaginary frequency points is high. In case a job
         crashes, it is advised to increase the number of nodes since
         the necessary memory distributes over all nodes.

   "nLambda"
      Type:
         Integer

      Default value:
         1

      GUI name:
         Number of lambda points

      Description:
         Size of coupling constant integration grid for SOSEX variants
         in RPA. Default is 4 points

   "nTime"
      Type:
         Integer

      GUI name:
         Number of time points

      Description:
         Number of imaginary time points (only relevant in case the
         Laplace Transformed (LT) formalism is used).

         In the many-body-perturbation theory module in ADF, the
         polarizability (or Kohn-Sham density response function) is
         evaluated in imaginary time to exploit sparsity in the AO
         basis. For MP2, this is often referred to as a Laplace
         transform. For MP2, 9 points are the default. This is a safe
         choice, guaranteeing accuracies higher than 1 Kj/mol for most
         systems (For many simple organic systems, 6 points are
         sufficient for good accuracy).

         Only for systems with a very small HOMO-LUMO gap or low-lying
         core states (heavy elements starting from the 4th row of the
         periodic table) more points might be necessary.

         In principle, the same considerations apply for RPA and GW as
         well, however, the accuracy requirements are somewhat higher
         and 12 point are the default for RPA. In a GW calculation,
         the number of points is adjusted according to the numerical
         quality. Using less than 9 points is strongly discouraged
         except for the simplest molecules.

         In ADF2019, it can happen that the algorithm determining the
         imaginary time grid does not converge. In this case, the
         usual reason is that the number of points is too small and
         more points need to be specified. Starting from AMS2020, this
         does not happen any more. In case the imaginary time grid
         does not converge, the number of points is automatically
         adjusted until it does.

         The computation time of AO-PARI-MP2, RPA, and GW scales
         linearly with the number of imaginary time points.

   "useGreenXgrids"
      Type:
         Bool

      Default value:
         No

      Description:
         Use GreenX library to generate grid points. This is
         recommended for larger number of grid points (> 20). Up to 34
         points can be requested.

"ModifyAlternativeElements"
   Type:
      Bool

   Default value:
      No

   Description:
      When using alternative elements (using the nuclear_charge
      attribute) set the element to the nearest integer Z. If you
      specify an H atom with a nuclear_charge of 2.9 it is replaced by
      a Li atom with the same nuclear charge.

"MolecularNMR"
   Type:
      Block

   Description:
      Options for the calculations of the NMR shielding tensor for
      molecules, excluding periodic systems. Implements the
      Schreckenbach method like ADF.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute NMR shielding.

"MultiSecantConfig"
   Type:
      Block

   Description:
      Parameters for the Multi-secant SCF convergence method.

   "CMax"
      Type:
         Float

      Default value:
         20.0

      GUI name:
         Max coeff

      Description:
         Maximum coefficient allowed in expansion

   "InitialSigmaN"
      Type:
         Float

      Default value:
         0.1

      GUI name:
         Initial

      Description:
         This is a lot like a mix factor: bigger means bolder

   "MaxSigmaN"
      Type:
         Float

      Default value:
         0.3

      GUI name:
         Max

      Description:
         Upper bound for the SigmaN parameter

   "MaxVectors"
      Type:
         Integer

      Default value:
         20

      GUI name:
         Number of cycles to use

      Description:
         Maximum number of previous cycles to be used

   "MinSigmaN"
      Type:
         Float

      Default value:
         0.01

      GUI name:
         Min

      Description:
         Lower bound for the SigmaN parameter

"NEGF"
   Type:
      Block

   Description:
      Options for the NEGF (non-equilibrium green function) transport
      calculation.

   "AlignChargeTol"
      Type:
         Float

      Default value:
         0.1

      Description:
         In an alignment run you want to get the number of electrons
         in the center right. This number specifies the criterion for
         that.

   "AlignmentFile"
      Type:
         String

      Default value:
      Description:
         Band result file (.rkf) corresponding to the alignment
         calculation.

   "Alpha"
      Type:
         Float

      Default value:
         1e-05

      Description:
         A charge error needs to be translated in a potential shift.
         DeltaV = alpha * DeltaQ

   "ApplyShift1"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Apply the main shift, obtained from comparing matrix elements
         in the leads with those from the tight-binding run. Strongly
         recommended.

   "ApplyShift2"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Apply the smaller alignment shift. This requires an extra
         alignment run. Usually this shift is smaller.

   "AutoContour"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Use automatic contour integral.

   "BiasPotential"
      Type:
         Float

      Default value:
         0.0

      Description:
         Apply a bias potential (atomic units). Can be negative. One
         has to specify the ramp potential with the FuzzyPotential
         key. This is mostly conveniently done with the GUI.

   "BoundOccupationMethod"
      Type:
         Integer

      Default value:
         1

      Description:
         See text. Only relevant with NonEqDensityMethod equal 2 or 3.

   "CDIIS"
      Type:
         Bool

      Default value:
         No

      Description:
         Make the normal DIIS procedure aware of the align charge
         error

   "CheckOverlapTol"
      Type:
         Float

      Default value:
         0.01

      Description:
         BAND checks how well the TB overlap matrix S(R=0) represents
         the overlap matrix in the lead region. Elements corresponding
         to the outer layer are neglected, because when using a frozen
         core they have bigger errors.

   "ContourQuality"
      Type:
         Multiple Choice

      Default value:
         good

      Options:
         [basic, normal, good, verygood]

      Description:
         The density matrix is calculated numerically via a contour
         integral. Changing the quality influences the number of
         points. This influences a lot the performance.

   "DEContourInt"
      Type:
         Float

      Default value:
         -1.0

      Description:
         The energy interval for the contour grid. Defaults depends on
         the contour quality

   "DERealAxisInt"
      Type:
         Float

      Default value:
         -1.0

      Description:
         The energy interval for the real axis grid. Defaults depends
         on the contour quality.

   "DeltaPhi0"
      Type:
         Float

      Default value:
         0.0

      Description:
         Undocumented.

   "DeltaPhi1"
      Type:
         Float

      Default value:
         0.0

      Description:
         Undocumented.

   "DoAlignment"
      Type:
         Bool

      Default value:
         No

      Description:
         Set this to True if you want to do an align run. Between the
         leads there should be lead material. The GUI can be of help
         here.

   "EMax"
      Type:
         Float

      Default value:
         5.0

      Unit:
         eV

      Description:
         The maximum energy for the transmission grid (with respect to
         the Fermi level of the lead)

   "EMin"
      Type:
         Float

      Default value:
         -5.0

      Unit:
         eV

      Description:
         The minimum energy for the transmission grid (with respect to
         the Fermi level of the lead)

   "Eta"
      Type:
         Float

      Default value:
         1e-05

      Description:
         Small value used for the contour integral: stay at least this
         much above the real axis. This value is also used for the
         evaluation of the Transmission and dos.

   "IgnoreOuterLayer"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not to ignore the outer layer.

   "KT"
      Type:
         Float

      Default value:
         0.001

      Description:
         k-Boltzmann times temperature.

   "LeadFile"
      Type:
         String

      Default value:
      Description:
         File containing the tight binding representation of the lead.

   "NE"
      Type:
         Integer

      Default value:
         100

      Description:
         The number of energies for the transmission energy grid.

   "NonEqDensityMethod"
      Type:
         Integer

      Default value:
         1

      Description:
         See text.

   "SGFFile"
      Type:
         String

      Default value:
      Description:
         The result from the SGF program. Contains the Fermi energy of
         the lead.

   "YContourInt"
      Type:
         Float

      Default value:
         0.3

      Description:
         The density is calculated via a contour integral. This value
         specifies how far above the real axis the (horizontal part of
         the) contour runs. The value is rounded in such a way that it
         goes exactly halfway between two Fermi poles. There is a
         trade off: making it bigger makes the integrand more smooth,
         but the number of enclosed poles increases. For low
         temperatures it makes sense to lower this value, and use a
         smaller deContourInt.

   "YRealaxisInt"
      Type:
         Float

      Default value:
         1e-05

      Description:
         The non-Equilibrium density is calculated near the real axis.

"NeutralizingDensity"
   Type:
      Multiple Choice

   Default value:
      None

   Options:
      [None, rho(atoms), rho(valence/atoms), rho(neutralizing/atoms),
      rho(homogeneous)]

   Description:
      For charged systems an artificial compensating density can be
      used to make it neutral again. This fictitious density only
      affects the Coulomb potential.

      For charged periodic systems neutralization is required, as
      otherwise the Coulomb potential diverges.

"NeutralizingDensityDetails"
   Type:
      Block

   Description:
   "DiffuseFactor"
      Type:
         Float

      Default value:
         1.0

      Description:
         The bigger this number, the more diffuse (extended) the
         neutralizing density becomes. Works only for
         rho(neutralizing/atoms)

   "HomogeneousDensity"
      Type:
         Block

      Description:
         xxx

      "Origin"
         Type:
            Float List

         Default value:
            [0.0, 0.0, 0.0]

         Unit:
            Bohr

         Description:
      "Range"
         Type:
            Float

         Default value:
            10.0

         Unit:
            Bohr

         Description:
      "Width"
         Type:
            Float

         Default value:
            1.0

         Unit:
            Bohr

         Description:
"NewResponse"
   Type:
      Block

   Description:
      The TD-CDFT calculation to obtain the dielectric function is
      computed when this block is present in the input. Several
      important settings can be defined here.

   "ActiveESpace"
      Type:
         Float

      Default value:
         5.0

      Unit:
         eV

      GUI name:
         Active energy space

      Description:
         Modifies the energy threshold (DeltaE^{max}_{thresh} =
         omega_{high} + ActiveESpace) for which single orbital
         transitions (DeltaEpsilon_{ia} = Epsilon_{a}^{virtual} -
         Epsilon_{i}^{occupied}) are taken into account.

   "ActiveXYZ"
      Type:
         String

      Default value:
         t

      Description:
         Expects a string consisting of three letters of either 'T'
         (for true) or 'F' (for false) where the first is for the X-,
         the second for the Y- and the third for the Z-component of
         the response properties. If true, then the response
         properties for this component will be evaluated.

   "DensityCutOff"
      Type:
         Float

      Default value:
         0.001

      GUI name:
         Volume cutoff

      Description:
         For 1D and 2D systems the unit cell volume is undefined.
         Here, the volume is calculated as the volume bordered by the
         isosurface for the value DensityCutoff of the total density.

   "EShift"
      Type:
         Float

      Default value:
         0.0

      Unit:
         eV

      GUI name:
         Shift

      Description:
         Energy shift of the virtual crystal orbitals.

   "FreqHigh"
      Type:
         Float

      Default value:
         3.0

      Unit:
         eV

      Description:
         Upper limit of the frequency range for which response
         properties are calculated (omega_{high}).

   "FreqLow"
      Type:
         Float

      Default value:
         1.0

      Unit:
         eV

      Description:
         Lower limit of the frequency range for which response
         properties are calculated. (omega_{low})

   "NFreq"
      Type:
         Integer

      Default value:
         5

      Description:
         Number of frequencies for which a linear response TD-CDFT
         calculation is performed.

"NewResponseKSpace"
   Type:
      Block

   Description:
      Modify the details for the integration weights evaluation in
      reciprocal space for each single-particle transition. Only
      influencing the NewResponse code.

   "Eta"
      Type:
         Float

      Default value:
         1e-05

      Description:
         Defines the small, finite imaginary number i*eta which is
         necessary in the context of integration weights for single-
         particle transitions in reciprocal space.

   "SubSimp"
      Type:
         Integer

      Default value:
         3

      Description:
         determines into how many sub-integrals each integration
         around a k point is split. This is only true for so-called
         quadratic integration grids. The larger the number the better
         the convergence behavior for the sampling in reciprocal
         space. Note: the computing time for the weights is linear for
         1D, quadratic for 2D and cubic for 3D!

"NewResponseSCF"
   Type:
      Block

   Description:
      Details for the linear-response self-consistent optimization
      cycle. Only influencing the NewResponse code.

   "Bootstrap"
      Type:
         Integer

      Default value:
         0

      Description:
         defines if the Berger2015 kernel (Bootstrap 1) is used or not
         (Bootstrap 0). If you chose the Berger2015 kernel, you have
         to set NewResponseSCF%XC to '0'. Since it shall be used in
         combination with the bare Coulomb response only. Note: The
         evaluation of response properties using the Berger2015 is
         recommend for 3D systems only!

   "COApproach"
      Type:
         Bool

      Default value:
         Yes

      Description:
         The program automatically decides to calculate the integrals
         and induced densities via the Bloch expanded atomic orbitals
         (AO approach) or via the cyrstal orbitals (CO approach). The
         option COApproach overrules this decision.

   "COApproachBoost"
      Type:
         Bool

      Default value:
         No

      GUI name:
         CO Approach Boost

      Description:
         Keeps the grid data of the Crystal Orbitals in memory.

         Requires significantly more memory for a speedup of the
         calculation. One might have to use multiple computing nodes
         to not run into memory problems.

   "Criterion"
      Type:
         Float

      Default value:
         0.001

      Description:
         For the SCF convergence the RMS of the induced density change
         is tested. If this value is below the Criterion the SCF is
         finished.

         Furthermore, one can find the calculated electric
         susceptibility for each SCF step in the output and can
         therefore decide if the default value is too loose or too
         strict.

   "DIIS"
      Type:
         Block

      Description:
         Parameters influencing the DIIS self-consistency method

      "Enabled"
         Type:
            Bool

         Default value:
            Yes

         Description:
            If not enabled simple mixing without DIIS acceleration
            will be used.

      "MaxSamples"
         Type:
            Integer

         Default value:
            10

         Description:
            Specifies the maximum number of samples considered during
            the direct inversion of iteration of subspace (DIIS)
            extrapolation of the atomic charges during the SCC
            iterations. A smaller number of samples potentially leads
            to a more aggressive convergence acceleration, while a
            larger number often guarantees a more stable iteration.
            Due to often occurring linear dependencies within the set
            of sample vectors, the maximum number of samples is
            reached only in very rare cases.

      "MaximumCoefficient"
         Type:
            Float

         Default value:
            10.0

         Description:
            When the diis expansion coefficients exceed this
            threshold, the solution is rejected. The vector space is
            too crowded. The oldest vector is discarded, and the
            expansion is re-evaluated.

      "MinSamples"
         Type:
            Integer

         Default value:
            -1

         Description:
            When bigger than one, this affects the shrinking of the
            DIIS space on linear dependence. It will not reduce to a
            smaller space than MinSamples unless there is extreme
            dependency.

      "MixingFactor"
         Type:
            Float

         Default value:
            0.2

         Description:
            The parameter used to mix the DIIS linear combination of
            previously sampled atomic charge vectors with an analogous
            linear combination of charge vectors resulting from
            population analysis combination. It can assume real values
            between 0 and 1.

   "LowFreqAlgo"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Low Frequency Algorithm

      Description:
         Numerically more stable results for frequencies lower than
         1.0 eV. Note: for a graphene monolayer the conical
         intersection results in a very small band gap (zero band gap
         semi-conductor). This leads ta a failing low frequency
         algorithm. One can then chose to use the algorithm as
         originally proposed by Kootstra by setting the input value to
         *false*. But, this can result in unreliable results for
         frequencies lower than 1.0 eV!

   "NCycle"
      Type:
         Integer

      Default value:
         20

      GUI name:
         Cycles

      Description:
         Number of SCF cycles for each frequency to be evaluated.

   "XC"
      Type:
         Integer

      Default value:
         1

      Description:
         Influences if the bare induced Coulomb response (XC 0) is
         used for the effective, induced potential or the induced
         potential derived from the ALDA kernel as well (XC 1).

"NMR"
   Type:
      Block

   Description:
      Options for the calculations of the NMR shielding tensor.

   "Correction_r"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         Compute NMR shielding.

   "MS0"
      Type:
         Float

      Default value:
         0.01

      Description:
         Undocumented.

   "NMRAtom"
      Type:
         Integer

      Default value:
         0

      Description:
         The index of the atom atom (in input order) for which NMR
         should be computed.

   "Numeric"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Original"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Print_jp"
      Type:
         Bool

      Description:
         Print paramagnetic current.

   "SuperCell"
      Type:
         Bool

      Default value:
         Yes

      Description:
         This is the switch between the two methods, either the super
         cell (true), or the single-dipole method (false)

   "Test"
      Type:
         Bool

      Description:
         Key for printing all intrinsic tensors.

   "Test_E"
      Type:
         Bool

      Description:
         Test of energy levels.

   "Test_S"
      Type:
         Bool

      Description:
         Test of overlap matrix.

   "UseSharedMemory"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not to use shared memory in the NMR calculation.

"NOCVdRhoPlot"
   Type:
      Non-standard block

   Description:
      Goes together with the Restart%NOCVdRhoPlot and Grid keys. See
      example.

"NOCVOrbitalPlot"
   Type:
      Non-standard block

   Description:
      Goes together with the Restart%NOCVOrbitalPlot and Grid keys.
      See example.

"NuclearModel"
   Type:
      Multiple Choice

   Default value:
      PointCharge

   Options:
      [PointCharge, Gaussian, Uniform]

   Description:
      Specify what model to use for the nucleus.

      For the Gaussian model the nuclear radius is calculated
      according to the work of Visscher and Dyall (L. Visscher, and
      K.G. Dyall, Dirac-Fock atomic electronic structure calculations
      using different nuclear charge distributions, Atomic Data and
      Nuclear Data Tables 67, 207 (1997))

"NUElstat"
   Type:
      Integer

   Default value:
      50

   Description:
      Number of outward (parabolic) integration points (for elliptical
      integration of the electrostatic interaction)

"NumericalQuality"
   Type:
      Multiple Choice

   Default value:
      Normal

   Options:
      [Basic, Normal, Good, VeryGood, Excellent]

   Description:
      Set the quality of several important technical aspects of a BAND
      calculation (with the notable exception of the basis set). It
      sets the quality of: BeckeGrid (numerical integration), ZlmFit
      (density fitting), KSpace (reciprocal space integration), and
      SoftConfinement (basis set confinement). Note: the quality
      defined in the block of a specific technical aspects supersedes
      the value defined in NumericalQuality (e.g. if I specify
      'NumericalQuality Basic' and 'BeckeGrid%Quality Good', the
      quality of the BeckeGrid will be 'Good')

"NVElstat"
   Type:
      Integer

   Default value:
      80

   Description:
      Number of angular (elliptic) integration points (for elliptical
      integration of the electrostatic interaction)

"Occupations"
   Type:
      Non-standard block

   Description:
      Allows one to input specific occupations numbers. Applies only
      for calculations that use only one k-point (i.e. pseudo-molecule
      calculations). See example.

"OldResponse"
   Type:
      Block

   Description:
      Options for the old TD-CDFT implementation.

   "Berger2015"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the parameter-free polarization functional by A. Berger
         (Phys. Rev. Lett. 115, 137402). This is possible for 3D
         insulators and metals. Note: The evaluation of response
         properties using the Berger2015 is recommend for 3D systems
         only!

   "CNT"
      Type:
         Bool

      Description:
         Use the CNT parametrization for the longitudinal and
         transverse kernels of the XC kernel of the homogeneous
         electron gas. Use this in conjunction with the NewVK option.

   "CNVI"
      Type:
         Float

      Default value:
         0.001

      Description:
         The first convergence criterion for the change in the fit
         coefficients for the fit functions, when fitting the density.

   "CNVJ"
      Type:
         Float

      Default value:
         0.001

      Description:
         the second convergence criterion for the change in the fit
         coefficients for the fit functions, when fitting the density.

   "Ebndtl"
      Type:
         Float

      Default value:
         0.001

      Unit:
         Hartree

      Description:
         the energy band tolerance, for determination which routines
         to use for calculating the numerical integration weights,
         when the energy band posses no or to less dispersion.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      Description:
         If true, the response function will be calculated using the
         old TD-CDFT implementation

   "Endfr"
      Type:
         Float

      Default value:
         3.0

      Unit:
         eV

      Description:
         The upper bound frequency of the frequency range over which
         the dielectric function is calculated

   "Isz"
      Type:
         Integer

      Default value:
         0

      Description:
         Integer indicating whether or not scalar zeroth order
         relativistic effects are included in the TDCDFT calculation.
         0 = relativistic effects are not included, 1 = relativistic
         effects are included. The current implementation does NOT
         work with the option XC%SpinOrbitMagnetization equal
         NonCollinear

   "Iyxc"
      Type:
         Integer

      Default value:
         0

      Description:
         integer for printing yxc-tensor (see
         http://aip.scitation.org/doi/10.1063/1.1385370). 0 = not
         printed, 1 = printed.

   "NewVK"
      Type:
         Bool

      Description:
         Use the slightly modified version of the VK kernel (see
         https://aip.scitation.org/doi/10.1063/1.1385370). When using
         this option one uses effectively the static option, even for
         metals, so one should check carefully the convergence with
         the KSPACE parameter.

   "Nfreq"
      Type:
         Integer

      Default value:
         5

      Description:
         the number of frequencies for which a linear response TD-CDFT
         calculation is performed.

   "QV"
      Type:
         Bool

      Description:
         Use the QV parametrization for the longitudinal and
         transverse kernels of the XC kernel of the homogeneous
         electron gas. Use this in conjunction with the NewVK option.
         (see reference).

   "Shift"
      Type:
         Float

      Default value:
         0.0

      Unit:
         eV

      Description:
         energy shift for the virtual crystal orbitals.

   "Static"
      Type:
         Bool

      Description:
         An alternative method that allows an analytic evaluation of
         the static response (normally the static response is
         approximated by a finite small frequency value). This option
         should only be used for non-relativistic calculations on
         insulators, and it has no effect on metals. Note: experience
         shows that KSPACE convergence can be slower.

   "Strtfr"
      Type:
         Float

      Default value:
         1.0

      Unit:
         eV

      Description:
         is the lower bound frequency of the frequency range over
         which the dielectric function is calculated.

"OrbitalPlot"
   Type:
      Non-standard block

   Description:
      Goes together with the Restart%OrbitalPlot and Grid keys. See
      Example.

"Output"
   Type:
      Block

   Description:
      Control the output.

   "Print"
      Type:
         Block

      Recurring:
         True

      Description:
      "Level"
         Type:
            Multiple Choice

         Options:
            [None, Error, Warning, Minimal, Normal, Detail,
            TooMuchDetail]

         Description:
      "Section"
         Type:
            Multiple Choice

         Options:
            [Prepare, SCF, Properties]

         Description:
"OverlapPopulations"
   Type:
      Non-standard block

   Description:
      Overlap population weighted DOS (OPWDOS), also known as the
      crystal orbital overlap population (COOP).

"PEDA"
   Type:
      Bool

   Default value:
      No

   Description:
      If present in combination with the fragment block, the
      decomposition of the interaction energy between fragments is
      invoked.

"PEDANOCV"
   Type:
      Block

   Description:
      Options for the decomposition of the orbital relaxation (pEDA).

   "EigvalThresh"
      Type:
         Float

      Default value:
         0.001

      GUI name:
         Use NOCVs with ev larger than

      Description:
         The threshold controls that for all NOCV deformation
         densities with NOCV eigenvalues larger than EigvalThresh the
         energy contribution will be calculated and the respective
         pEDA-NOCV results will be printed in the output

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Perform PEDA-NOCV analysis

      Description:
         If true in combination with the fragment blocks and the pEDA
         key, the decomposition of the orbital relaxation term is
         performed.

"PeriodicRIHartreeFock"
   Type:
      Block

   Description:
      Technical options for periodic Hartree Fock.

   "AllowLinearScaling"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Use function ranges and multipoles.

   "AllowMultipoleExpansion"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the multipole expansion if possible.

   "AllowPartialMultipoleExpansion"
      Type:
         Bool

      Default value:
         No

      Description:
         Use the partial multipole expansion if possible. This has
         only effect if AllowMultipoleExpansion=yes.

   "AnalyzeCells"
      Type:
         Bool

      Default value:
         No

      Description:
         Determine the cell loop ranges needed and stop.

   "AvoidPeriodicKMatR"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "AvoidPeriodicPMatR"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "CellLoopPrecision"
      Type:
         Multiple Choice

      Default value:
         Full

      Options:
         [Minimal, Medium, Full]

      Description:
         The range of the density matrix, R(P), combined with the
         range of basis products, R(C), determines the cell range
         contributing to the exchange matrix. The cell range used is.

         Minimal: R(P).

         Medium: R(P)+R(C).

         All: R(P)+2R(C)

   "ExactLMaxMultiPerAtom"
      Type:
         Bool

      Default value:
         No

      Description:
         Used to be a hardcodes lMaxMulti=3. If specified it is
         determined per atom from the RIHF fit functions.

   "MergeIterators"
      Type:
         Bool

      Default value:
         No

      Description:
         If true, calculate terms I,II,III,and IV in parallel,
         otherwise term IV is done separately.

   "PrintKDistanceDecay"
      Type:
         Bool

      Default value:
         No

      Description:
         The decay of the norm of K with respect to the distance cell
         order.

   "PrintKShellDecay"
      Type:
         Bool

      Default value:
         No

      Description:
         The decay of the norm of K with respect to the shell cell
         order.

   "PrintKTopoDecay"
      Type:
         Bool

      Default value:
         No

      Description:
         The decay of the norm of K with respect to the topological
         cell order.

   "RemapPMatR"
      Type:
         Bool

      Default value:
         No

      Description:
         Possibly move elements from one cell to another, minimizing
         the distance between the atom pairs.

   "RemapPMatRNew"
      Type:
         Bool

      Default value:
         No

      Description:
         Possibly move elements from one cell to another, minimizing
         the distance between the atom pairs.

   "SaveKMatR"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "SortFitFunctions"
      Type:
         Bool

      Default value:
         No

      Description:
         Sort the RIHartreeFock fit functions per atom, based on the
         range. This is needed when allowing for partial multipole
         atom pairs.

   "UseHalfKGrid"
      Type:
         Bool

      Default value:
         No

      Description:
         Let all RIHF settings be based on the assumption that the
         k-grid was twice as coarse. What will be more accurate is
         P(R), but it gets the range as if the coarser k-grid was
         used.

   "UseHelper"
      Type:
         Bool

      Default value:
         No

      Description:
         Provide the RIHartreeFock with knowledge about loop bounds.

   "UseInverseCellSymmetry"
      Type:
         Bool

      Default value:
         No

      Description:
         If true, only half of the K(R) is calculated, and the rest is
         obtained from K(-R)=transpose(K(R)).

   "UseLatticeShiftForPairs"
      Type:
         Bool

      Default value:
         No

      Description:
         Apply a pair based minimum image convention.

   "UseM1V"
      Type:
         Bool

      Default value:
         No

      Description:
         Multiply M1 by V, being faster for term II.

"PeriodicSolvation"
   Type:
      Block

   Description:
      Additional options for simulations of periodic structures with
      solvation.

   "NStar"
      Type:
         Integer

      Default value:
         4

      Description:
         This option, expecting an integer number (>2), handles the
         accuracy for the construction of the COMSO surface. The
         larger the given number the more accurate the construction.

   "RemovePointsWithNegativeZ"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Only above slab

      Description:
         Whether the COSMO surface is constructed on both sides of a
         surface.

         If one is only interested in the solvation effect on the
         upper side of a surface (in the Z direction), then this
         option should be set to 'True'

   "SymmetrizeSurfacePoints"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not the COSMO point should be symmetrized

"PopThreshold"
   Type:
      Float

   Default value:
      0.01

   Description:
      Threshold for printing Mulliken population terms. Works with
      'Print orbpop'

"PotentialNoise"
   Type:
      Float

   Default value:
      0.0001

   Description:
      The initial potential for the SCF procedure is constructed from
      a sum-of-atoms density. Added to this is some small noise in the
      numerical values of the potential in the points of the
      integration grid. The purpose of the noise is to help the
      program break the initial symmetry, if that would lower the
      energy, by effectively inducing small differences between
      (initially) degenerate orbitals.

"Print"
   Type:
      String

   Recurring:
      True

   Description:
      One or more strings (separated by blanks) from a pre-defined set
      may be typed after the key. This induces printing of various
      kinds of information, usually only used for debugging and
      checking. The set of recognized strings frequently changes
      (mainly expands) in the course of software-developments. Useful
      arguments may be symmetry, and fit.

"Programmer"
   Type:
      Block

   Description:
      Miscellaneous technical options.

   "SharedMemorySandwichingThreshold"
      Type:
         Integer

      Default value:
         5000

      GUI name:
         Shared mem sandwiching thld

      Description:
         When the nr. of basis functions exceeds this threshold shared
         memory will be used to calculate matrix elements.

         Unless UseSharedMemoryForSandwiching is explicitly set in the
         input.

   "StoreDOSPerBas"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Whether or not to store the parial DOS per basis function.
         This allows you to view any partial DOS with amsspectra and
         amsbands. Requires the CalcPDOS option to be on.

   "StoreOrbitals"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Copy information on band.rkf needed for orbital plotting and
         restarts. This can be a lot of information. DOS and
         BandStructure require StoreOrbitals=true.

   "UpdateSTDVec"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Shift atoms so that center of mass is at zero. As a results
         the detected symmetry may be higher.

   "UseSharedMemoryForSandwiching"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Use shared memory

      Description:
         When calculating matrix elements the array will be shared.
         This saves memory at the cost of locking overhead.

         If not specified this will depend on the threshold
         SharedMemorySandwichingThreshold

   "UseTurnoverRuleForXcMatrix"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Usesharedmemory"
      Type:
         Bool

      Default value:
         Yes

      GUI name:
         Use shared memory

      Description:
         When running more then one task, share memory between those
         tasks. This saves a lot of memory.

         Only disable it in case of problems.

"PropertiesAtNuclei"
   Type:
      Non-standard block

   Description:
      A number of properties can be obtained near the nucleus. An
      average is taken over a tiny sphere around the nucleus. The
      following properties are available: vxc[rho(fit)], rho(fit),
      rho(scf), v(coulomb/scf), rho(deformation/fit),
      rho(deformation/scf).

"RadialDefaults"
   Type:
      Block

   Description:
      Options for the logarithmic radial grid of the basis functions
      used in the subprogram Dirac

   "NR"
      Type:
         Integer

      Default value:
         3000

      Description:
         Number of radial points. With very high values (like 30000)
         the Dirac subprogram may not converge.

   "NRPerType"
      Type:
         Integer List

      Description:
         If present overrides NR. The list needs to be as long as
         there are atom types

   "RMax"
      Type:
         Float

      Default value:
         100.0

      Unit:
         Bohr

      Description:
         Upper bound of the logarithmic radial grid

   "RMin"
      Type:
         Float

      Default value:
         1e-06

      Unit:
         Bohr

      Description:
         Lower bound of the logarithmic radial grid

   "RMinPerType"
      Type:
         Float List

      Unit:
         Bohr

      Description:
         If specified overrides RMin. The list needs to be as long as
         there are atom types (different elements)

"Relativity"
   Type:
      Block

   Description:
      Options for relativistic effects.

   "Level"
      Type:
         Multiple Choice

      Default value:
         Scalar

      Options:
         [None, Scalar, Spin-Orbit]

      GUI name:
         Relativity (ZORA)

      Description:
         None: No relativistic effects.

         Scalar: Scalar relativistic ZORA.

         This option comes at very little cost.

         SpinOrbit: Spin-orbit coupled ZORA.

         This is the best level of theory, but it is (4-8 times) more
         expensive than a normal calculation. Spin-orbit effects are
         generally quite small, unless there are very heavy atoms in
         your system, especially with p valence electrons (like Pb).

         See also the SpinOrbitMagnetization key.

"ResponseInducedDensityPlot"
   Type:
      Non-standard block

   Description:
      Goes together with Restart%ResponseInducedDensityPlot and Grid.

"Restart"
   Type:
      Block

   Description:
      Tells the program that it should restart with the restart file,
      and what to restart.

   "BandStructure"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the band structure from a previous calculation.
         Does not work with model potentials and Hubbard.

   "CheckAtomicPositions"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If set to True: For restarting the SCF the atomic positions
         will be checked, and may not deviate too much.

   "DOS"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the DOS from a previous calculation. Does not work
         with model potentials and Hubbard.

   "DensityPlot"
      Type:
         Bool

      Default value:
         No

      Description:
         Goes together with the DensityPlot block and Grid blocks

   "File"
      Type:
         String

      Default value:
      GUI name:
         Restart using

      Description:
         Name of the restart file. The file should be a band.rkf file
         from a previous run.

   "LoadEigenSystem"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Load: eigen system

      Description:
         At each step of the SCF load the section eigensystem from the
         restart file, forcing constant eigenvalues and vectors.

   "NOCVOrbitalPlot"
      Type:
         Bool

      Default value:
         No

      Description:
         Goes together with the NOCVOrbitalPlot and Grid blocks.

   "NOCVdRhoPlot"
      Type:
         Bool

      Default value:
         No

      Description:
         Goes together with the NOCVdRhoPlot and Grid blocks.

   "OrbitalPlot"
      Type:
         Bool

      Default value:
         No

      Description:
         Goes together with the OrbitalPlot and Grid

   "ResponseInducedDensityPlot"
      Type:
         Bool

      Default value:
         No

      Description:
         Goes together with the ResponseInducedDensityPlot and Grid
         blocks.

   "SCF"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Restart: SCF

      Description:
         Continue the SCF procedure using the orbital coefficients and
         occupations from the restart file.

   "UseDensityMatrix"
      Type:
         Bool

      Default value:
         No

      Description:
         If set to True: For restarting the SCF the density matrix
         will be used. Requires you to set 'Save DensityMatrix' in the
         previous run.

   "VTKFile"
      Type:
         String

      Default value:
      Description:
         If specified a vtk file with be created with this name. If
         the extension is '.txt', a text file is created. Setting it
         to 'CUBE' one or more (one for each component) files in the
         cube format are generated with an automatic naming scheme.

   "VoronoiGrid"
      Type:
         Bool

      Default value:
         No

      Description:
         Copy the section Num In Params to the current file.

"RIHartreeFock"
   Type:
      Block

   Description:
   "DependencyCoreRange"
      Type:
         Float

      Description:
         Basis functions may be given a core character based on the
         range. For now only active in Band and only if present in the
         input

   "DependencyThreshold"
      Type:
         Float

      Default value:
         0.001

      Description:
         To improve numerical stability, almost linearly-dependent
         combination of basis functions are removed from the Hartree-
         Fock exchange matrix.

         If you obtain unphysically large bond energy in an Hybrid
         calculation, or an unphysically low correlation energy in an
         RPA, MP2, or double hybrid calculation, you might try setting
         the DependencyThreshold to a larger value (e.g. 3.0E-3)

         Note, that in GW calculations and GW-BSE calculations the
         default for this key is 5.0e-3.

   "ExplicitThresholds"
      Type:
         Block

      Description:
         Override the thresholds as implied by the ThresholdQuality.

      "Basis"
         Type:
            Float

         Description:
            Threshold for the basis functions.

      "Fit"
         Type:
            Float

         Description:
            Threshold for the fit functions.

      "Potential"
         Type:
            Float

         Description:
            Threshold for the potential of the functions.

   "FitGenerationDetails"
      Type:
         Block

      Description:
         Technical details about how the RI Hartree-Fock fit functions
         are generated.

      "BoostL"
         Type:
            Bool

         Default value:
            No

         Description:
            Add extra max(l)+1 diffuse function

            When l denotes the highest angular momentum present in the
            primary basis,

            FromBasisProducts will generate auxiliary fit functions
            with up to 2l angular momentum.

            When this key is set to true, the maximum angular momentum
            in the auxiliary fit set becomes 2l+2.

            Typically, this option is not needed and when precision
            issues arise, it is rather advised to adjust the
            OneCenterDependencyThreshold key to a smaller value.

      "LapackWorkAround"
         Type:
            Bool

         Default value:
            No

         Description:
            GetFitFunctionsForAtomType diagonalization done with
            Lapack instead of Scalapack

      "Method"
         Type:
            Multiple Choice

         Default value:
            Auto

         Options:
            [Auto, FromBasisProducts]

         Description:
            The way in which fit functions are generated. The main
            distinction is whether it depends on the basis functions
            used.

            When FromBasisProducts is used, the auxiliary basis is
            generated directly from the products of primary basis
            functions.

            This has the advantage that the auxiliary fit adapts
            automatically to the basis set size.

            Especially for basis sets of QZ quality or larger, this is
            often necessary to obtain highly precise correlation
            energies using RPA or double hybrids

            FromBasisProducts option is also useful for GW or BSE
            calculations with basis sets of QZ quality or larger.

      "OneCenterDependencyThreshold"
         Type:
            Float

         Default value:
            1e-08

         Description:
            This key is only active when FromBasisProducts is chosen
            as method to generate the auxiliary basis.

            This threshold controls the size, and at the samw time,
            the precision of the auxiliary basis set. A smaller number
            leads to a larger auxiliary fit set.

            The default value of 1e-8 is typically sufficient to
            converge correlation energies and QP energies to a very
            high precision.

            It corresponds to an auxiliary basis which is typically
            8-9 times larger than the primary basis.

      "UseBandRadialGrid"
         Type:
            Bool

         Default value:
            Yes

         Description:
            Only applies to band. The band logarithmic grid ranges (by
            default) from 1e-6 to 100 with 3000 points. Otherwise 300
            points will be used.

            For 0-periodicity (molecules) it is advisable to set this
            key to false since lots of memory is needed to evaluate
            all necessary integrals.

   "FitSetQuality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood, Excellent,
         FromBasisProducts]

      Description:
         The quality of auxiliary fit set employed in the RI scheme.

         If 'Auto', the value of the RIHartreeFock Quality option will
         be used.

         Normal quality is generally sufficient for basis sets up to
         and including TZ2P.

         For larger basis sets (or for benchmarking purposes) a
         VeryGood fit set is recommended.

         Note that the FitSetQuality heavily influences the
         computational cost of the calculation.

   "IntegrationQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the numerical integration for evaluating the
         integrals between basis functions and fit functions. If
         IntegrationQuality is not defined in input, the value defined
         in RIHartreeFock%Quality will be used.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Numerical accuracy of the RI procedure. If 'Auto', the
         quality specified in the 'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the fit-set quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

         Description:
            This region's quality of the auxiliary fit set employed in
            the RI scheme.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

   "ResponseQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Numerical accuracy of the RI procedure for the Response
         module.

   "ThresholdQuality"
      Type:
         Multiple Choice

      Options:
         [VeryBasic, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Linear scaling thresholds (also used for determining at what
         range the multiple approximation is used). To disable all
         linear scaling thresholds set this to Excellent.

   "UseMe"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Set to False if you want to use the old RI scheme (ADF only)

"Save"
   Type:
      String

   Recurring:
      True

   Description:
      Save scratch files or extra data that would be otherwise deleted
      at the end of the calculation. e.g. 'TAPE10' (containing the
      integration grid) or 'DensityMatrix'

"SCF"
   Type:
      Block

   Description:
      Controls technical SCF parameters.

   "Eigenstates"
      Type:
         Bool

      Description:
         The program knows two alternative ways to evaluate the charge
         density iteratively in the SCF procedure: from the P-matrix,
         and directly from the squared occupied eigenstates. By
         default the program actually uses both at least one time and
         tries to take the most efficient. If present, Eigenstates
         turns off this comparison and lets the program stick to one
         method (from the eigenstates).

   "Iterations"
      Type:
         Integer

      Default value:
         300

      GUI name:
         Maximum number of cycles

      Description:
         The maximum number of SCF iterations to be performed.

   "Method"
      Type:
         Multiple Choice

      Default value:
         MultiStepper

      Options:
         [DIIS, MultiSecant, MultiStepper]

      Description:
         Choose the general scheme used to converge the density in the
         SCF. In case of scf problems one can try the MultiSecant
         alternative at no extra cost per SCF cycle. For more details
         see the DIIS and MultiSecantConfig block.

   "Mixing"
      Type:
         Float

      Default value:
         0.075

      Description:
         Initial 'damping' parameter in the SCF procedure, for the
         iterative update of the potential: new potential = old
         potential + mix (computed potential-old potential). Note: the
         program automatically adapts Mixing during the SCF
         iterations, in an attempt to find the optimal mixing value.

   "MultiStepperPresetPath"
      Type:
         String

      Default value:
         DFTB/default2023.inc

      Description:
         Name of file containing a SCFMultiStepper key block. This
         will be used if no Explicit SCFMultiStepper block is in the
         input, and Method=MultiStepper.

         If the path is not absolute, it is relative to
         $AMSHOME/data/presets/multi_stepper'

   "PMatrix"
      Type:
         Bool

      Description:
         If present, evaluate the charge density from the P-matrix.
         See also the key Eigenstates.

   "PrintAllOccupiedBands"
      Type:
         Bool

      Default value:
         Yes

      Description:
         When printing the ranges of the bands, include all occupied
         ones.

   "PrintAllVirtualBands"
      Type:
         Bool

      Default value:
         No

      Description:
         When printing the ranges of the bands, include all virtual
         ones.

   "PrintAlwaysBandRanges"
      Type:
         Bool

      Default value:
         No

      Description:
         Normally the ranges of the bands are only printed at the last
         SCF cycle

   "Rate"
      Type:
         Float

      Default value:
         0.99

      Description:
         Minimum rate of convergence for the SCF procedure. If
         progress is too slow the program will take measures (such as
         smearing out occupations around the Fermi level, see key
         Degenerate of block Convergence) or, if everything seems to
         fail, it will stop

   "SCFMultiStepper"
      Type:
         Block

      Description:
         To solve the self-consistent problem multiple steppers can be
         tried during stints using the ones that give the best
         progress.

      "AlwaysChangeStepper"
         Type:
            Bool

         Default value:
            No

         Description:
            When the progress is fine there is no reason to change the
            stepper. In practice this is always set to true, because
            also the Stepper%ExpectedSlope can be used to achieve
            similar behavior.

      "ErrorGrowthAbortFactor"
         Type:
            Float

         Default value:
            1000.0

         Description:
            Abort stint when the error grows too much, compared to the
            error at the start of the stint.

      "FractionalStepFactor"
         Type:
            Float

         Default value:
            -1.0

         Description:
            Multiply the step by this factor. If smaller than zero
            this is not used.

      "MinStintCyclesForAbort"
         Type:
            Integer

         Default value:
            0

         Description:
            Look at ErrorGrowthAbortFactor only when a number of steps
            has been completed since the start of the stint. A value
            of  0 means always.

      "Stepper"
         Type:
            Block

         Recurring:
            True

         Description:
            ??

         "AbortSlope"
            Type:
               Float

            Default value:
               100.0

            Description:
               If the slope (at the end of a stint) is larger than
               this: abort the stepper

         "DIISStepper"
            Type:
               Block

            Description:
               DIIS stepper

            "EDIISAlpha"
               Type:
                  Float

               Default value:
                  0.01

               Description:
                  The extra energy vector is weighed by this factor. .

            "MaxCoefficient"
               Type:
                  Float

               Default value:
                  20.0

               Description:
                  The largest allowed value of the expansion
                  coefficients. If exceed the number of vectors is
                  reduces until the criterion is met.

            "MaxVectors"
               Type:
                  Integer

               Default value:
                  10

               Description:
                  Maximum number of previous densities to be used
                  (size of the history).

            "MinVectors"
               Type:
                  Integer

               Default value:
                  -1

               Description:
                  Try to prevent to make nVectors shrink below this
                  value, by allowing for significantly larger
                  coefficients.

            "Mix"
               Type:
                  Float

               Default value:
                  0.2

               Description:
                  Also known as greed. It determines the amount of
                  output density to be used. May be changed by the
                  MixAdapter.

         "ErrorGrowthAbortFactor"
            Type:
               Float

            Default value:
               -1.0

            Description:
               Abort stint when the error grows too much, compared to
               the error at the start of the stint. Overrides global
               ErrorGrowthAbortFactor when set to a value > 0

         "ExpectedSlope"
            Type:
               Float

            Default value:
               -100.0

            Description:
               If the slope of the total SCF is better than this keep
               on going.

         "FractionalStepFactor"
            Type:
               Float

            Default value:
               -1.0

            Description:
               Multiply the step by this factor. If smaller than zero
               this is not used.

         "MaxInitialError"
            Type:
               Float

            Description:
               Only use the stepper when error is smaller than this.

         "MaxIterationNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for iterations smaller than
               this number. (Negative value means: Ignore this option)

         "MaxStintNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for stints smaller than
               this number. (Negative value means: Ignore this option)

         "MinInitialError"
            Type:
               Float

            Description:
               Only use the stepper when error is larger than this.

         "MinIterationNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for iterations larger than
               this number.

         "MinStintCyclesForAbort"
            Type:
               Integer

            Default value:
               0

            Description:
               Look at ErrorGrowthAbortFactor only when a number of
               steps has been completed since the start of the stint.
               A value of  0 means always. Overrides global value.

         "MinStintNumber"
            Type:
               Integer

            Default value:
               -1

            Description:
               Stepper will only be active for stints larger than this
               number.

         "MixAdapter"
            Type:
               Block

            Description:
               Generic mix adapter

            "ErrorGrowthPanicFactor"
               Type:
                  Float

               Default value:
                  10.0

               Description:
                  When the error increases more than this factor, this
                  mix is reduced a lot.

            "GrowthFactor"
               Type:
                  Float

               Default value:
                  1.1

               Description:
                  When the mix is considered too low it is multiplied
                  by this factor. Otherwise it is divided by it.

            "MaxMix"
               Type:
                  Float

               Default value:
                  0.3

               Description:
                  Do not grow the mix above this value.

            "MinMix"
               Type:
                  Float

               Default value:
                  0.1

               Description:
                  Do not shrink the mix below this value.

            "NTrialMixFactors"
               Type:
                  Integer

               Default value:
                  3

               Description:
                  Only used with Type=Trial. Must be an odd number.

            "TrialMode"
               Type:
                  Multiple Choice

               Default value:
                  CurrentMixCentered

               Options:
                  [CurrentMixCentered, FullRange]

               Description:
                  How are the NTrialMixFactors chosen?

            "Type"
               Type:
                  Multiple Choice

               Default value:
                  Error

               Options:
                  [Error, Energy, UnpredictedStep, Trial]

               Description:
                  Adapt the mix factor based on the observed progress
                  (slope).

         "MixStepper"
            Type:
               Block

            Description:
               Simple mixing stepper, only using the previous (in/out)
               density.

            "Mix"
               Type:
                  Float

               Default value:
                  0.1

               Description:
                  ???.

         "MultiSecantStepper"
            Type:
               Block

            Description:
               Multi secant stepper.

            "MaxCoefficient"
               Type:
                  Float

               Default value:
                  20.0

               Description:
                  ???.

            "MaxVectors"
               Type:
                  Integer

               Default value:
                  10

               Description:
                  ???.

            "Mix"
               Type:
                  Float

               Default value:
                  0.2

               Description:
                  ???.

            "Variant"
               Type:
                  Multiple Choice

               Default value:
                  MSB2

               Options:
                  [MSB1, MSB2, MSR1, MSR1s]

               Description:
                  There are several version of the Multi secant
                  method.

         "StintLength"
            Type:
               Integer

            Description:
               Override global StintLength.

      "StintLength"
         Type:
            Integer

         Default value:
            10

         Description:
            A stepper is active during a number of SCF cycles, called
            a stint.

      "UsePreviousStintForErrorGrowthAbort"
         Type:
            Bool

         Default value:
            No

         Description:
            The error is normally checked against the first error of
            the stint. With this option that will be the one from the
            previous stint, if performed with the same stepper.

   "VSplit"
      Type:
         Float

      Default value:
         0.05

      Description:
         To disturb degeneracy of alpha and beta spin MOs the value of
         this key is added to the beta spin potential at the startup.

"Screening"
   Type:
      Block

   Description:
      For the periodic solvation potential and for the old (not
      default anymore) fitting method, BAND performs lattice
      summations which are in practice truncated. The precision of the
      lattice summations is controlled by the options in this block.

   "CutOff"
      Type:
         Float

      Description:
         Criterion for negligibility of tails in the construction of
         Bloch sums. Default depends on Accuracy.

   "DMadel"
      Type:
         Float

      Description:
         One of the parameters that define the screening of Coulomb-
         potentials in lattice sums. Depends by default on Accuracy,
         rmadel, and rcelx. One should consult the literature for more
         information

   "NoDirectionalScreening"
      Type:
         Bool

      Description:
         Real space lattice sums of slowly (or non-) convergent terms,
         such as the Coulomb potential, are computed by a screening
         technique. In previous releases, the screening was applied to
         all (long-range) Coulomb expressions. Screening is only
         applied in the periodicity directions. This key restores the
         original situation: screening in all directions

   "RCelx"
      Type:
         Float

      Description:
         Max. distance of lattice site from which tails of atomic
         functions will be taken into account for the Bloch sums.
         Default depends on Accuracy.

   "RMadel"
      Type:
         Float

      Description:
         One of the parameters that define screening of the Coulomb
         potentials in lattice summations. Depends by default on
         Accuracy, dmadel, rcelx. One should consult the literature
         for more information.

"SelectedAtoms"
   Type:
      Integer List

   Description:
      With this key you can select atoms. This has an effect on a few
      of options, like NMR and EFG.

"Skip"
   Type:
      String

   Recurring:
      True

   Description:
      Skip the specified part of the Band calculation (expert/debug
      option).

"SoftConfinement"
   Type:
      Block

   Description:
      In order to make the basis functions more compact, the radial
      part of the basis functions is multiplied by a Fermi-Dirac (FD)
      function (this 'confinement' is done for efficiency and
      numerical stability reasons). A FD function goes from one to
      zero, controlled by two parameters. It has a value 0.5 at
      Radius, and the decay width is Delta.

   "Delta"
      Type:
         Float

      Unit:
         Bohr

      Description:
         Explicitly specify the delta parameter of the Fermi-Dirac
         function (if not specified, it will be 0.1*Radius).

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      GUI name:
         Confinement

      Description:
         In order to make the basis functions more compact, the radial
         part of the basis functions is multiplied by a Fermi-Dirac
         (FD) function (this 'confinement' is done for efficiency and
         numerical stability reasons). A FD function goes from one to
         zero, controlled by two parameters. It has a value 0.5 at
         Radius, and the decay width is Delta.

         This key sets the two parameters 'Radius' and 'Delta'.

         Basic: Radius=7.0, Delta=0.7;

         Normal: Radius=10.0, Delta=1.0;

         Good: Radius=20.0, Delta=2.0;

         VeryGood and Excellent: no confinement at all.

         If 'Auto', the quality defined in the 'NumericalQuality' will
         be used.

   "Radius"
      Type:
         Float

      Unit:
         Bohr

      Description:
         Explicitly specify the radius parameter of the Fermi-Dirac
         function.

"Solvation"
   Type:
      Block

   Description:
      Options for the COSMO (Conductor like Screening Model) solvation
      model.

   "CVec"
      Type:
         Multiple Choice

      Default value:
         EXACT

      Options:
         [EXACT, FITPOT]

      GUI name:
         Calculate Coulomb interaction

      Description:
         Choose how to calculate the Coulomb interaction matrix
         between the molecule and the point charges on the surface:

         * EXACT: use exact density, and integrate against the
           potential of the point charges. This may have inaccuracies
           when integration points are close to the point charges.

         * FITPOT: evaluate the molecular potential at the positions
           of the point charges, and multiply with these charges.

   "Charge"
      Type:
         Block

      Description:
         Select the algorithm to determine the charges.

      "Conv"
         Type:
            Float

         Default value:
            1e-08

         Description:
            Charge convergence threshold in iterative COSMO solution.

      "Corr"
         Type:
            Bool

         Default value:
            Yes

         GUI name:
            Correct for outlying charge

         Description:
            Correct for outlying charge.

      "Iter"
         Type:
            Integer

         Default value:
            1000

         Description:
            Maximum number of iterations to solve COSMO equations.

      "Method"
         Type:
            Multiple Choice

         Default value:
            CONJ

         Options:
            [CONJ, INVER]

         GUI name:
            Charge determination method

         Description:
            INVER: matrix inversion, CONJ: biconjugate gradient
            method.

            The CONJ method is guaranteed to converge with small
            memory requirements and is normally the preferred method.

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Include COSMO solvation

      Description:
         Use the Conductor like Screening Model (COSMO) to include
         solvent effects.

   "Radii"
      Type:
         Non-standard block

      Description:
         The values are the radii of the atomic spheres. If not
         specified the default values are those by Allinger. Format:
         'AtomType value'. e.g.: 'H 0.7'

   "SCF"
      Type:
         Multiple Choice

      Default value:
         VAR

      Options:
         [VAR, PERT, NONE]

      GUI name:
         Handle charges

      Description:
         Determine the point charges either Variational (VAR) or after
         the SCF as a Perturbation (PERT).

   "Solvent"
      Type:
         Block

      Description:
         Solvent details

      "Del"
         Type:
            Float

         Description:
            Del is the value of Klamt's delta_sol parameter, only
            relevant in case of Klamt surface.

      "Emp"
         Type:
            Float

         Description:
            Emp is the empirical scaling factor x for the energy
            scaling.

      "Eps"
         Type:
            Float

         Description:
            User-defined dielectric constant of the solvent (overrides
            the Eps value of the solvent defined in 'Name')

      "Name"
         Type:
            Multiple Choice

         Default value:
            Water

         Options:
            [AceticAcid, Acetone, Acetonitrile, Ammonia, Aniline,
            Benzene, BenzylAlcohol, Bromoform, Butanol, isoButanol,
            tertButanol, CarbonDisulfide, CarbonTetrachloride,
            Chloroform, Cyclohexane, Cyclohexanone, Dichlorobenzene,
            DiethylEther, Dioxane, DMFA, DMSO, Ethanol, EthylAcetate,
            Dichloroethane, EthyleneGlycol, Formamide, FormicAcid,
            Glycerol, HexamethylPhosphoramide, Hexane, Hydrazine,
            Methanol, MethylEthylKetone, Dichloromethane,
            Methylformamide, Methypyrrolidinone, Nitrobenzene,
            Nitrogen, Nitromethane, PhosphorylChloride, IsoPropanol,
            Pyridine, Sulfolane, Tetrahydrofuran, Toluene,
            Triethylamine, TrifluoroaceticAcid, Water]

         GUI name:
            Solvent

         Description:
            Name of a pre-defined solvent. A solvent is characterized
            by the dielectric constant (Eps) and the solvent radius
            (Rad).

      "Rad"
         Type:
            Float

         Unit:
            Angstrom

         Description:
            User-defined radius of the solvent molecule (overrides the
            Rad value of the solvent defined in 'Name').

   "Surf"
      Type:
         Multiple Choice

      Default value:
         Delley

      Options:
         [Delley, Wsurf, Asurf, Esurf, Klamt]

      GUI name:
         Surface type

      Description:
         Within the COSMO model the molecule is contained in a
         molecule shaped cavity.

         Select one of the following surfaces to define the cavity:

         * Wsurf: Van der Waals surface

         * Asurf: solvent accessible surface

         * Esurf: solvent excluding surface

         * Klamt: Klamt surface

         * Delley: Delley surface.

"SolvationSM12"
   Type:
      Block

   Description:
      Options for Solvation Model 12 (SM12).

   "ARO"
      Type:
         Float

      Default value:
         0.0

      Description:
         Square of the fraction of non-hydrogen atoms in the solvent
         that are aromatic carbon atoms (carbon aromaticity)

   "Acid"
      Type:
         Float

      Default value:
         0.82

      Description:
         Abraham hydrogen bond acidity parameter

   "Base"
      Type:
         Float

      Default value:
         0.35

      Description:
         Abraham hydrogen bond basicity parameter

   "BornC"
      Type:
         Float

      Default value:
         3.7

      Description:
         Coulomb constant for General Born Approximation

   "BornRadiusConfig"
      Type:
         Block

      Description:
      "MaxCellDistance"
         Type:
            Float

         Default value:
            30.0

         Unit:
            Bohr

         Description:
            Max distance from the centra cell used when computing the
            Born radii for periodic systems

      "PointsPerBohr"
         Type:
            Integer

         Default value:
            10

         Description:
      "UseLegendreGrid"
         Type:
            Bool

         Default value:
            Yes

         Description:
   "Chgal"
      Type:
         Float

      Default value:
         2.474

      Description:
         Exponential of Pauli's bond order

   "Cust"
      Type:
         String

      Description:
         Custom solvent input

   "Debug"
      Type:
         String

      Description:
         Prints a lot of information about every pass on CDS and ENP
         code, keywords: ENP, CDS

   "EPS"
      Type:
         Float

      Default value:
         78.36

      Description:
         The dielectric constant

   "Enabled"
      Type:
         Bool

      Default value:
         No

      GUI name:
         Include SM12 solvation

      Description:
         Whether to use the Solvation Model 12 (SM12) in the
         calculation.

   "HALO"
      Type:
         Float

      Default value:
         0.0

      Description:
         Square of the fraction of non-hydrogen atoms in the solvent
         molecule that are F, Cl, or Br (electronegative halogenicity)

   "Kappa"
      Type:
         Float

      Default value:
         0.0

      Description:
         Factor for Debye screening

   "PostSCF"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether to apply the solvation potential during the SCF or
         only calculate the solvation energy after the SCF.

   "PrintSM12"
      Type:
         Bool

      Default value:
         No

      Description:
         Prints out an in-depth breakdown of solvation energies

   "RadSolv"
      Type:
         Float

      Default value:
         0.4

      Description:
         The radius distance between the solute and solvent

   "Ref"
      Type:
         Float

      Default value:
         1.3328

      Description:
         Refractive index of solvent

   "Solv"
      Type:
         Multiple Choice

      Default value:
         WATER

      Options:
         [ACETICACID, ACETONITRILE, ACETOPHENONE, ANILINE, ANISOLE,
         BENZENE, BENZONITRILE, BENZYLALCOHOL, BROMOBENZENE,
         BROMOETHANE, BROMOFORM, BROMOOCTANE, N-BUTANOL, SEC-BUTANOL,
         BUTANONE, BUTYLACETATE, N-BUTYLBENZENE, SEC-BUTYLBENZENE,
         T-BUTYLBENZENE, CARBONDISULFIDE, CARBONTETRACHLORIDE,
         CHLOROBENZENE, CHLOROFORM, CHLOROHEXANE, M-CRESOL,
         CYCLOHEXANE, CYCLOHEXANONE, DECALIN, DECANE, DECANOL,
         1-2-DIBROMOETHANE, DIBUTYLETHER, O-DICHLOROBENZENE,
         1-2-DICHLOROETHANE, DIETHYLETHER, DIISOPROPYLETHER,
         N-N-DIMETHYLACETAMIDE, N-N-DIMETHYLFORMAMIDE,
         2-6-DIMETHYLPYRIDINE, DIMETHYLSULFOXIDE, DODECANE, ETHANOL,
         ETHOXYBENZENE, ETHYLACETATE, ETHYLBENZENE, FLUOROBENZENE,
         1-FLUORO-N-OCTANE, HEPTANE, HEPTANOL, HEXADECANE,
         HEXADECYLIODIDE, HEXANE, HEXANOL, IODOBENZENE, ISOBUTANOL,
         ISOOCTANE, ISOPROPANOL, ISOPROPYLBENZENE, P-ISOPROPYLTOLUENE,
         MESITYLENE, METHANOL, METHOXYETHANOL, METHYLENECHLORIDE,
         N-METHYLFORMAMIDE, 2-METHYLPYRIDINE, 4-METHYL-2-PENTANONE,
         NITROBENZENE, NITROETHANE, NITROMETHANE, O-NITROTOLUENE,
         NONANE, NONANOL, OCTANE, OCTANOL, PENTADECANE, PENTANE,
         PENTANOL, PERFLUOROBENZENE, PHENYLETHER, PROPANOL, PYRIDINE,
         TETRACHLOROETHENE, TETRAHYDROFURAN,
         TETRAHYDROTHIOPHENEDIOXIDE, TETRALIN, TOLUENE,
         TRIBUTYLPHOSPHATE, TRIETHYLAMINE, 1-2-4-TRIMETHYLBENZENE,
         UNDECANE, WATER, XYLENE, 1-2-DIBROMOETHANE_WATER,
         1-2-DICHLOROETHANE_WATER, BENZENE_WATER,
         CARBONTETRACHLORIDE_WATER, CHLOROBENZENE_WATER,
         CHLOROFORM_WATER, CYCLOHEXANE_WATER, DIBUTYLETHER_WATER,
         DIETHYLETHER_WATER, ETHYLACETATE_WATER, HEPTANE_WATER,
         HEXANE_WATER, NITROBENZENE_WATER, OCTANOL_WATER]

      GUI name:
         Solvent

      Description:
         List of predefined solvents

   "Tens"
      Type:
         Float

      Default value:
         103.62

      Description:
         Macroscopic surface tension of the solvent at the air/solvent
         interface at 298K (cal*mol^-1*Ang^-2)

   "TopologicalExtrapolation"
      Type:
         Block

      Description:
         Method to extrapolate the long range Coulomb potential,
         needed for periodic calculations

      "FirstCell"
         Type:
            Integer

         Default value:
            5

         Description:
            First cell for the topological extrapolation of the long
            range part of the Coulomb Potential.

      "LastCell"
         Type:
            Integer

         Default value:
            10

         Description:
            Last cell for the topological extrapolation of the long
            range part of the Coulomb Potential.

      "Order"
         Type:
            Integer

         Default value:
            3

         Description:
            Order of the topological extrapolation of the long range
            part of the Coulomb Potential.

"StopAfter"
   Type:
      String

   Default value:
      BAND

   Description:
      Specifies that the program is stopped after execution of a
      specified program-part (subroutine).

"StoreHamAsMol"
   Type:
      Bool

   Default value:
      No

   Description:
      Undocumented, used for (at least) NEGF.

"StoreHamiltonian"
   Type:
      Bool

   Description:
      Undocumented.

"StoreHamiltonian2"
   Type:
      Bool

   Default value:
      No

   Description:
      determine the tight-binding representation of the overlap an
      fock matrix. Used for (at least) NEGF.

"StrainDerivatives"
   Type:
      Block

   Description:
      Undocumented.

   "Analytical"
      Type:
         Bool

      Description:
         Whether or not to use analytical strain derivatives. By
         default this is determined automatically, and used if
         possible.

   "AnalyticalElectrostatic"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Analyticalkinetic"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Analyticalpulay"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Analyticalxc"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Celltopoorder"
      Type:
         Integer

      Default value:
         20

      Description:
         Undocumented.

   "Coreorthoption"
      Type:
         Integer

      Default value:
         2

      Description:
         Undocumented.

   "Fitrho0numintextrarad"
      Type:
         Integer

      Default value:
         0

      Description:
         Undocumented.

   "Fitrho0prune"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "Kinviadagger"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Lmaxmultipoleexpansion"
      Type:
         Integer

      Default value:
         4

      Description:
         Undocumented.

   "Naiveelstat"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Numericaldefdef"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "Numericaldefdeflong"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Pairgridlowerangularorder"
      Type:
         Integer

      Default value:
         5

      Description:
         Undocumented.

   "Pairgridradpointsincrease"
      Type:
         Integer

      Default value:
         0

      Description:
         Undocumented.

   "Renormalizechargefitrho0"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Shiftmultipoleorigin"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "Skipinlgwsmodule"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Undocumented.

   "SubtractAtomicXC"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Derive stress from xc energy difference of molecule versus
         atoms.

   "Usesymmetry"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "Usevstrainderrho"
      Type:
         Bool

      Default value:
         No

      Description:
         Undocumented.

   "fitrho0numintextral"
      Type:
         Integer

      Default value:
         0

      Description:
         Undocumented.

"SubSymmetry"
   Type:
      Integer List

   Description:
      The indices of the symmetry operators to maintain.

"Tails"
   Type:
      Block

   Description:
      Ignore function tails.

   "Bas"
      Type:
         Float

      Default value:
         1e-06

      GUI name:
         Basis functions

      Description:
         Cut off the basis functions when smaller than the specified
         threshold.

"Title"
   Type:
      String

   Default value:
   Description:
      Title of the calculation, which will be printed in the output
      file.

"Unrestricted"
   Type:
      Bool

   Default value:
      No

   Description:
      Controls whether Band should perform a spin-unrestricted
      calculation. Spin-unrestricted calculations are computationally
      roughly twice as expensive as spin-restricted.

"UnrestrictedOnlyReference"
   Type:
      Bool

   Default value:
      No

   Description:
      Undocumented.

"UnrestrictedReference"
   Type:
      Bool

   Default value:
      No

   Description:
      Undocumented.

"UnrestrictedStartup"
   Type:
      Bool

   Default value:
      No

   Description:
      Undocumented.

"UseInversionSymmetryInReciprocalSpace"
   Type:
      Bool

   Default value:
      Yes

   GUI name:
      Use inversion sym in recip space

   Description:
      Whether to use inversion symmetry in reciprocal space. This is
      almost always a valid assumption.

"UseSymmetry"
   Type:
      Bool

   Default value:
      Yes

   Description:
      Whether or not to exploit symmetry during the calculation.

"XC"
   Type:
      Block

   Description:
      Exchange Correlation functionals

   "DFTHalf"
      Type:
         Block

      Description:
         DFT-1/2 method for band gaps. See PRB vol 78,125116 2008.
         This method can be used in combination with any functional.
         For each active atom type (see ActiveAtomType) Band will
         perform SCF calculations at different screening cut-off
         values (see ScreeningCutOffs) and pick the cut-off value that
         maximizes the band gap. If multiple atom types are active,
         the screening cut-off optimizations are done one type at the
         time (in the same order as the ActiveAtomType blocks appear
         in the input).

      "ActiveAtomType"
         Type:
            Block

         Recurring:
            True

         Description:
            Use the DFT-1/2 method for the atom-type specified in this
            block.

         "AtomType"
            Type:
               String

            Description:
               Atom-type to use. You can activate all atom-types by
               specifying 'All'.

         "IonicCharge"
            Type:
               Float

            Default value:
               0.5

            Description:
               The amount of charge to be removed from the atomic
               HOMO.

         "ScreeningCutOffs"
            Type:
               Float List

            Default value:
               [0.0, 1.0, 2.0, 3.0, 4.0, 5.0]

            Unit:
               Bohr

            Description:
               List of screening cut-offs (to screen the asymptotic
               IonicCharge/r potential). Band will loop over these
               values and find the cut-off that maximizes the band-
               gap. If only one number is provided, Band will simply
               use that value.

      "Enabled"
         Type:
            Bool

         Default value:
            No

         GUI name:
            Use method

         Description:
            Whether the DFT-1/2 method will be used.

      "Prepare"
         Type:
            Bool

         Default value:
            No

         Description:
            Analyze the band structure to determine reasonable
            settings for an DFT-1/2 calculation. If this is possible
            the list of active atom types is written to the output.
            This can be used in a next run as the values for
            ActiveAtomType. The DFTHalf%Enabled key should be set to
            false

      "SelfConsistent"
         Type:
            Bool

         Default value:
            Yes

         Description:
            Apply the extra potential during the SCF, or only
            afterwards. Applying DFT-1/2 only post SCF increases the
            band gap, compared to the self-consistent one.

   "DoubleHybrid"
      Type:
         String

      Description:
         Specifies the double hybrid functional that should be used
         during the SCF.

   "EmpiricalScaling"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, SOS, SCS, SCSMI]

      Description:
         Calculate the (SOS/SCS/SCSMI)-MP2 correlation energy.

   "GALITSKIIMIGDAL"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the Galitskii-Migdal correlation energy after the
         SCF is completed.

   "GLLBKParameter"
      Type:
         Float

      Default value:
         0.382

      Description:
         K parameter for the GLLB functionals. See equation (20) of
         the paper.

   "HartreeFock"
      Type:
         Bool

      Default value:
         No

      Description:
         Stand alone HF calculation.

   "MP2"
      Type:
         Bool

      Default value:
         No

      Description:
         Calculate the MP2 correlation energy after the HF SCF is
         completed.

   "RPA"
      Type:
         Multiple Choice

      Default value:
         None

      Options:
         [None, Direct, Sigma, SOSEX, SOSSX]

      Description:
         Specifies the use of an RPA or post-RPA method. By default,
         RPA is not enabled.

   "RangeSeparation"
      Type:
         String

      Default value:
      Description:
         Intended to be used with HartreeFock (or hybrid functionals).
         Example:  OMEGA=    0.110000 ALPHA=    0.250000 BETA=
         -0.250000 ERF-SHORTRANGE

   "diracgga"
      Type:
         String

      Default value:
      Description:
         GGA for the dirac .

   "dispersion"
      Type:
         String

      Default value:
         DEFAULT

      Description:
         The dispersion correction model to be used.

   "gga"
      Type:
         String

      Default value:
         NONE

      Description:
         GGA XC functional.

   "lda"
      Type:
         String

      Default value:
         VWN

      Description:
         LDA XC functional.

   "libxc"
      Type:
         String

      Default value:
         NONE

      Description:
         Functional using the LicXC library.

   "libxcdensitythreshold"
      Type:
         Float

      Default value:
         1e-10

      Description:
         Density threshold for LibXC functionals.

   "metagga"
      Type:
         String

      Default value:
         NONE

      Description:
         MetaGG XC functional.

   "model"
      Type:
         String

      Default value:
         LB94

      Description:
         Model potential. The possible choices are LB94, GLLB-SC,
         BGLLB-VWN, and BGLLB-LYP

   "spinorbitmagnetization"
      Type:
         String

      Default value:
         collinearz

      Description:
         Type of Spin-Orbit magnetization.

   "tb_mbjafactor"
      Type:
         Float

      Default value:
         -1.23456789

      Description:
         a parameter for the TB-MBJ model potential.

   "tb_mbjbfactor"
      Type:
         Float

      Default value:
         -1.23456789

      Description:
         b parameter for the TB-MBJ model potential..

   "tb_mbjcfactor"
      Type:
         Float

      Default value:
         -1.23456789

      Description:
         c parameter for the TB-MBJ model potential..

   "tb_mbjefactor"
      Type:
         Float

      Default value:
         -1.23456789

      Description:
         e parameter for the TB-MBJ model potential..

   "usexcfun"
      Type:
         Bool

      Default value:
         No

      Description:
         Whether ot not the XCFun library should be used.

   "xcfun"
      Type:
         Bool

      Default value:
         No

      Description:
         Functional for the XCFun library.

"ZlmFit"
   Type:
      Block

   Description:
      Options for the density fitting scheme 'ZlmFit'.

   "AllowBoost"
      Type:
         Bool

      Default value:
         Yes

      Description:
         Allow automatic atom-dependent tuning of maximum l of
         spherical harmonics expansion. Whether or not this boost is
         needed for a given atom is based on an heuristic estimate of
         how complex the density around that atom is.

   "DensityThreshold"
      Type:
         Float

      Description:
         Threshold below which the electron density is considered to
         be negligible. Depends on Quality and is normally 1.0e-7

   "FGaussianW"
      Type:
         Float

      Default value:
         1.0

      Description:
         Only for 3D periodic systems. Width of the Gaussian functions
         replacing the S and P Zlms for Fourier transform.

   "FGridSpacing"
      Type:
         Float

      Description:
         Only for 3D periodic systems. Spacing for the Fourier grid.
         By default, this depends on the quality.

   "FKSpaceCutOff"
      Type:
         Float

      Description:
         Only for 3D periodic systems. Cut-off of the grid in k-space
         for the Fourier transform.

   "FirstTopoCell"
      Type:
         Integer

      Default value:
         5

      Description:
         First cell for the topological extrapolation of the long
         range part of the Coulomb Potential.

   "LMargin"
      Type:
         Integer

      Description:
         User-defined l-margin, i.e., l_max for fitting is max(lMargin
         + l_max_basis_function, 2*l_max_basis_function). Depends on
         Quality and normally is 4

   "LastTopoCell"
      Type:
         Integer

      Default value:
         10

      Description:
         Last cell for the topological extrapolation of the long range
         part of the Coulomb Potential.

   "NumStarsPartitionFun"
      Type:
         Integer

      Default value:
         5

      Description:
         Number of cell stars to consider when computing the partition
         function.

   "OrderTopoTrick"
      Type:
         Integer

      Default value:
         3

      Description:
         Order of the topological extrapolation of the long range part
         of the Coulomb Potential.

   "PartitionFunThreshold"
      Type:
         Float

      Default value:
         0.0

      Description:
         Threshold for the partition functions: if an integration
         point has a partition function weight smaller than this
         threshold, it will be discarded.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      GUI name:
         Spline Zlm fit

      Description:
         Quality of the density-fitting approximation. For a
         description of the various qualities and the associated
         numerical accuracy see reference. If 'Auto', the quality
         defined in the 'NumericalQuality' will be used.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the ZlmFit quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [Basic, Normal, Good, VeryGood, Excellent]

         Description:
            The region's quality of the ZlmFit.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.


conductance
-----------

"EnergyGrid"
   Type:
      Block

   Description:
      Energy grid for Transmission Function

   "Max"
      Type:
         Float

      Default value:
         5.0

      Unit:
         eV

      Description:
         Max Energy (relative to Fermi energy)

   "Min"
      Type:
         Float

      Default value:
         -5.0

      Unit:
         eV

      Description:
         Min energy (relative to Fermi energy)

   "Num"
      Type:
         Integer

      Default value:
         200

      Description:
         Number of energy values in which the interval Min-Max is
         subdivided

"Files"
   Type:
      Block

   Description:
      path of files

   "HamiltonianElectrode"
      Type:
         String

      Default value:
      Description:
   "HamiltonianMolecule"
      Type:
         String

      Default value:
      Description:
   "Leads"
      Type:
         String

      Default value:
      Description:
         Path (either absolute or relative) of the lead results file

   "OverlapElectrode"
      Type:
         String

      Default value:
      Description:
   "OverlapMolecule"
      Type:
         String

      Default value:
      Description:
   "Scattering"
      Type:
         String

      Default value:
      Description:
         Path (either absolute or relative) of the scattering region
         results

"Output"
   Type:
      Block

   Description:
      options describing what should be printed

   "OldOutput"
      Type:
         Bool

      Default value:
         No

      Description:
"Physics"
   Type:
      Block

   Description:
      Block describing the physics of the system

   "FermiEnergy"
      Type:
         Block

      Description:
         Block describing the physics of the system

      "Electrode"
         Type:
            Float

         Default value:
            0.0

         Description:
            Fermi energy of the electrode

"Technical"
   Type:
      Block

   Description:
      options describing technical parts of the calculation

   "Eta"
      Type:
         Float

      Default value:
         1e-05

      Description:
         To avoid poles of the Green's function, a small imaginary
         number is added to the energy

   "overwriteLeads"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, Hamiltonians H_L and H_R are taken from the DFTB-
         leads calculation. If False, they are taken from the DFTB
         scattering-region calculation

   "setOffDiagonalToZero"
      Type:
         Bool

      Default value:
         Yes

      Description:
         If true, H_LR and S_LR are explicitly set to zero. If False,
         they are taken from the DFTB scattering-region calculation.


sgf
---

"Debug"
   Type:
      String

   Recurring:
      True

   Description:
"Save"
   Type:
      String

   Recurring:
      True

   Description:
"SurfaceGF"
   Type:
      Block

   Description:
   "BANDMU"
      Type:
         Float

      Default value:
         0.0

      Description:
   "CONTACT"
      Type:
         Integer

      Default value:
         1

      Description:
   "CPMARGIN"
      Type:
         Float

      Description:
   "ContourQuality"
      Type:
         Multiple Choice

      Default value:
         good

      Options:
         [basic, normal, good, verygood, excellent]

      Description:
   "DELTA"
      Type:
         Float

      Description:
   "ETA"
      Type:
         Float

      Default value:
         1e-05

      Description:
   "KGRID"
      Type:
         Integer

      Description:
   "KT"
      Type:
         Float

      Description:
   "MAXDOS"
      Type:
         Float

      Description:
   "MINDOS"
      Type:
         Float

      Description:
   "MINVALENCE"
      Type:
         Float

      Description:
   "MULOWER"
      Type:
         Float

      Description:
   "MUUPPER"
      Type:
         Float

      Description:
   "NARCPTS"
      Type:
         Integer

      Description:
   "NDOSPTS"
      Type:
         Integer

      Description:
   "NE"
      Type:
         Integer

      Description:
   "NEQLINEPTS"
      Type:
         Integer

      Description:
   "NFPOLES"
      Type:
         Integer

      Description:
   "NLAYERS"
      Type:
         Integer

      Description:
   "NNONEQLPTS"
      Type:
         Integer

      Description:
   "PHI1"
      Type:
         Float

      Default value:
         0.0

      Description:
   "PHI2"
      Type:
         Float

      Default value:
         0.0

      Description:
   "RKFFileName"
      Type:
         String

      Default value:
         RUNKF

      Description:
   "SCMCODE"
      Type:
         Bool

      Default value:
         No

      Description:
   "SECANT"
      Type:
         Bool

      Default value:
         No

      Description:
   "SGFMaxIter"
      Type:
         Integer

      Default value:
         500

      Description:
   "SGFTOL"
      Type:
         Float

      Default value:
         1e-08

      Description:
   "TOL"
      Type:
         Float

      Default value:
         0.0001

      Description:
   "TRANSDIR"
      Type:
         Integer

      Default value:
         1

      Description:
   "TRUEMU"
      Type:
         Float

      Default value:
         0.0

      Description:
   "deContourInt"
      Type:
         Float

      Default value:
         -1.0

      Description:
"TightBinding"
   Type:
      Block

   Description:
   "DTol"
      Type:
         Float

      Default value:
         0.001

      Description:
   "Eps"
      Type:
         Float

      Default value:
         1e-18

      Description:
   "IODim"
      Type:
         Integer

      Description:
   "MaxMerit"
      Type:
         Float

      Description:
   "MaxRange"
      Type:
         Float

      Description:
   "XTol"
      Type:
         Float

      Default value:
         5e-06

      Description:
"Title"
   Type:
      String

   Description: